
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"14",
  
  "macros":[{
      "function":"__e"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"event_type"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"supplier_tag"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"object_type"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"siteid"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"authentication_method"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"authzrequired"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"account_id"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"account_list"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"result_click"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"authnips"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"doi"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"jsessionid"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"turnaway_id"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"source_title_id"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"record_id"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"record_year"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"keyword"
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":"num_results"
    },{
      "function":"__gas",
      "vtp_cookieDomain":"auto",
      "vtp_doubleClick":false,
      "vtp_setTrackerName":false,
      "vtp_useDebugVersion":false,
      "vtp_useHashAutoLink":false,
      "vtp_decorateFormsAutoLink":false,
      "vtp_enableLinkId":false,
      "vtp_dimension":["list",["map","index","6","dimension",["macro",1]],["map","index","7","dimension",["macro",2]],["map","index","8","dimension",["macro",3]],["map","index","9","dimension",["macro",4]],["map","index","10","dimension",["macro",5]],["map","index","11","dimension",["macro",6]],["map","index","12","dimension",["macro",7]],["map","index","13","dimension",["macro",8]],["map","index","14","dimension",["macro",9]],["map","index","15","dimension",["macro",10]],["map","index","16","dimension",["macro",11]],["map","index","17","dimension",["macro",12]],["map","index","18","dimension",["macro",13]],["map","index","19","dimension",["macro",14]],["map","index","20","dimension",["macro",15]],["map","index","21","dimension",["macro",16]],["map","index","22","dimension",["macro",17]],["map","index","23","dimension",["macro",18]]],
      "vtp_enableEcommerce":false,
      "vtp_trackingId":"UA-78288099-3",
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false
    },{
      "function":"__u",
      "vtp_component":"QUERY",
      "vtp_queryKey":"itm_source",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"QUERY",
      "vtp_queryKey":"itm_medium",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"QUERY",
      "vtp_queryKey":"itm_campaign",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"QUERY",
      "vtp_queryKey":"itm_term",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"QUERY",
      "vtp_queryKey":"itm_content",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__v",
      "vtp_name":"gtm.elementUrl",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.triggers",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":true,
      "vtp_defaultValue":""
    },{
      "function":"__aev",
      "vtp_varType":"TEXT"
    },{
      "function":"__u",
      "vtp_component":"URL",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__v",
      "vtp_name":"gtm.elementId",
      "vtp_dataLayerVersion":1
    },{
      "function":"__vis",
      "vtp_elementSelector":"i.icon-availability_free",
      "vtp_outputMethod":"BOOLEAN",
      "vtp_selectorType":"CSS",
      "vtp_onScreenRatio":"50"
    },{
      "function":"__vis",
      "vtp_elementSelector":"i.icon-availability_open",
      "vtp_outputMethod":"BOOLEAN",
      "vtp_selectorType":"CSS",
      "vtp_onScreenRatio":"50"
    },{
      "function":"__d",
      "vtp_elementSelector":"i.icon-availability_free",
      "vtp_attributeName":"title",
      "vtp_selectorType":"CSS"
    },{
      "function":"__smm",
      "vtp_setDefaultValue":false,
      "vtp_input":["macro",32],
      "vtp_map":["list",["map","key","null","value",""],["map","key","Free","value","Free"]]
    },{
      "function":"__d",
      "vtp_elementSelector":"i.icon-availability_open",
      "vtp_attributeName":"title",
      "vtp_selectorType":"CSS"
    },{
      "function":"__smm",
      "vtp_setDefaultValue":false,
      "vtp_input":["macro",34],
      "vtp_map":["list",["map","key","null","value",""],["map","key","Open Access","value","Open Access"]]
    },{
      "function":"__v",
      "vtp_dataLayerVersion":2,
      "vtp_setDefaultValue":false,
      "vtp_name":["macro",29]
    },{
      "function":"__d",
      "vtp_elementId":"successMsg",
      "vtp_attributeName":"class",
      "vtp_selectorType":"ID"
    },{
      "function":"__aev",
      "vtp_setDefaultValue":false,
      "vtp_varType":"ATTRIBUTE",
      "vtp_attribute":"img alt"
    },{
      "function":"__u",
      "vtp_component":"HOST",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"PATH",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__f",
      "vtp_component":"URL"
    },{
      "function":"__e"
    },{
      "function":"__v",
      "vtp_name":"gtm.element",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementClasses",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementTarget",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.element",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementClasses",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementId",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementTarget",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.elementUrl",
      "vtp_dataLayerVersion":1
    },{
      "function":"__aev",
      "vtp_varType":"TEXT"
    },{
      "function":"__v",
      "vtp_name":"gtm.scrollThreshold",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.scrollUnits",
      "vtp_dataLayerVersion":1
    },{
      "function":"__v",
      "vtp_name":"gtm.scrollDirection",
      "vtp_dataLayerVersion":1
    }],
  "tags":[{
      "function":"__ua",
      "metadata":["map"],
      "unlimited":true,
      "vtp_overrideGaSettings":true,
      "vtp_trackType":"TRACK_PAGEVIEW",
      "vtp_gaSettings":["macro",19],
      "vtp_dimension":["list",["map","index","1","dimension",["macro",20]],["map","index","2","dimension",["macro",21]],["map","index","3","dimension",["macro",22]],["map","index","4","dimension",["macro",23]],["map","index","5","dimension",["macro",24]]],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "tag_id":1
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Click",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Outbound Link Click",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":3
    },{
      "function":"__ua",
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Click",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Outbound DOI Link Click",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":4
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Click",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Live Chat Button",
      "vtp_eventLabel":["macro",28],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":5
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Forms",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Form Submission - button Click",
      "vtp_eventLabel":["macro",28],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":39
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"CrossRef",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":48
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Google Scholar",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":49
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Medline",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":50
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"SFX",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":51
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"Web of Science",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":52
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"WorldCat",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":53
    },{
      "function":"__ua",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_nonInteraction":false,
      "vtp_overrideGaSettings":false,
      "vtp_eventCategory":"Reference Links",
      "vtp_trackType":"TRACK_EVENT",
      "vtp_gaSettings":["macro",19],
      "vtp_eventAction":"PubMed",
      "vtp_eventLabel":["macro",25],
      "vtp_enableRecaptchaOption":false,
      "vtp_enableTransportUrl":false,
      "vtp_enableUaRlsa":false,
      "vtp_enableUseInternalVersion":false,
      "vtp_enableFirebaseCampaignData":true,
      "vtp_trackTypeIsEvent":true,
      "tag_id":54
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_10",
      "tag_id":55
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_13",
      "tag_id":56
    },{
      "function":"__cl",
      "tag_id":57
    },{
      "function":"__cl",
      "tag_id":58
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_42",
      "tag_id":59
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_43",
      "tag_id":60
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_44",
      "tag_id":61
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_45",
      "tag_id":62
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_46",
      "tag_id":63
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_47",
      "tag_id":64
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_55",
      "tag_id":65
    },{
      "function":"__lcl",
      "vtp_waitForTags":false,
      "vtp_checkValidation":false,
      "vtp_waitForTagsTimeout":"2000",
      "vtp_uniqueTriggerId":"9429524_57",
      "tag_id":66
    }],
  "predicates":[{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.js"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"academic.oup.com"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"mailto:"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"my-account"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"javascript:"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"doi.org"
    },{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.linkClick"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_10($|,)))"
    },{
      "function":"_eq",
      "arg0":["macro",27],
      "arg1":"Crossref"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_42($|,)))"
    },{
      "function":"_eq",
      "arg0":["macro",27],
      "arg1":"Google Scholar"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_43($|,)))"
    },{
      "function":"_cn",
      "arg0":["macro",27],
      "arg1":"Medline"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_44($|,)))"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"exlibrisgroup.com"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_45($|,)))"
    },{
      "function":"_cn",
      "arg0":["macro",27],
      "arg1":"Web of Science"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_46($|,)))"
    },{
      "function":"_eq",
      "arg0":["macro",27],
      "arg1":"PubMed"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_55($|,)))"
    },{
      "function":"_cn",
      "arg0":["macro",27],
      "arg1":"WorldCat"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_47($|,)))"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_13($|,)))"
    },{
      "function":"_cn",
      "arg0":["macro",28],
      "arg1":"journals\/pages\/contact_us"
    },{
      "function":"_cn",
      "arg0":["macro",25],
      "arg1":"vcc-eu3.8x8.com"
    },{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.click"
    },{
      "function":"_cn",
      "arg0":["macro",28],
      "arg1":"https:\/\/academic.oup.com\/journals\/pages"
    },{
      "function":"_cn",
      "arg0":["macro",29],
      "arg1":"submitButton"
    },{
      "function":"_re",
      "arg0":["macro",26],
      "arg1":"(^$|((^|,)9429524_57($|,)))"
    }],
  "rules":[
    [["if",0],["add",0,12,13,14,15,16,17,18,19,20,21,22,23]],
    [["if",6,7],["unless",1,2,3,4,5],["add",1]],
    [["if",5,6,22],["add",2]],
    [["if",23,24,25],["add",3]],
    [["if",25,26,27],["add",4]],
    [["if",6,8,9],["add",5],["block",1]],
    [["if",6,10,11],["add",6],["block",1]],
    [["if",6,12,13],["add",7],["block",1]],
    [["if",6,14,15],["add",8],["block",1]],
    [["if",6,16,17],["add",9],["block",1]],
    [["if",6,20,21],["add",10],["block",1]],
    [["if",6,18,19],["add",11],["block",1]],
    [["if",1,6,28],["block",5,6]]]
},
"runtime":[]




};
/*

 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
var aa,ba="function"==typeof Object.create?Object.create:function(a){var b=function(){};b.prototype=a;return new b},ca;if("function"==typeof Object.setPrototypeOf)ca=Object.setPrototypeOf;else{var ea;a:{var fa={Qf:!0},ha={};try{ha.__proto__=fa;ea=ha.Qf;break a}catch(a){}ea=!1}ca=ea?function(a,b){a.__proto__=b;if(a.__proto__!==b)throw new TypeError(a+" is not extensible");return a}:null}
var ia=ca,ka=function(a,b){a.prototype=ba(b.prototype);a.prototype.constructor=a;if(ia)ia(a,b);else for(var c in b)if("prototype"!=c)if(Object.defineProperties){var d=Object.getOwnPropertyDescriptor(b,c);d&&Object.defineProperty(a,c,d)}else a[c]=b[c]},ma=this||self,na=/^[\w+/_-]+[=]{0,2}$/,pa=null,qa=function(a,b){function c(){}c.prototype=b.prototype;a.prototype=new c;a.prototype.constructor=a},sa=function(a){return a};var ua=function(){},va=function(a){return"function"==typeof a},g=function(a){return"string"==typeof a},wa=function(a){return"number"==typeof a&&!isNaN(a)},xa=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},m=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},ya=function(a,b){if(a&&xa(a))for(var c=0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},za=function(a,b){if(!wa(a)||
!wa(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},Ba=function(a,b){for(var c=new Aa,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},Ca=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},Da=function(a){return Math.round(Number(a))||0},Ea=function(a){return"false"==String(a).toLowerCase()?!1:!!a},Fa=function(a){var b=[];if(xa(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},Ga=function(a){return a?
a.replace(/^\s+|\s+$/g,""):""},Ha=function(){return(new Date).getTime()},Aa=function(){this.prefix="gtm.";this.values={}};Aa.prototype.set=function(a,b){this.values[this.prefix+a]=b};Aa.prototype.get=function(a){return this.values[this.prefix+a]};
var Ia=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},Ja=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}},Ka=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},La=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},Ma=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c},Na=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c},Oa=function(a){var b=
[];Ca(a,function(c,d){10>c.length&&d&&b.push(c)});return b.join(",")};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var Pa=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,Qa=function(a){if(null==a)return String(a);var b=Pa.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},Ra=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},Sa=function(a){if(!a||"object"!=Qa(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!Ra(a,"constructor")&&!Ra(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||Ra(a,b)},D=function(a,b){var c=b||("array"==Qa(a)?[]:{}),d;for(d in a)if(Ra(a,d)){var e=a[d];"array"==Qa(e)?("array"!=Qa(c[d])&&(c[d]=[]),c[d]=D(e,c[d])):Sa(e)?(Sa(c[d])||(c[d]={}),c[d]=D(e,c[d])):c[d]=e}return c};var rb;
var sb=[],tb=[],ub=[],vb=[],wb=[],xb={},yb,zb,Ab,Bb=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=xb[c],e={},f;for(f in a)a.hasOwnProperty(f)&&0===f.indexOf("vtp_")&&(e[void 0!==d?f:f.substr(4)]=a[f]);return void 0!==d?d(e):rb(c,e,b)},Fb=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=Eb(a[e],b,c));return d},Gb=function(a){var b=a["function"];if(!b)throw"Error: No function name given for function call.";var c=
xb[b];return c?c.priorityOverride||0:0},Eb=function(a,b,c){if(xa(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push(Eb(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=sb[f];if(!h||b.fd(h))return;c[f]=!0;try{var k=Fb(h,b,c);k.vtp_gtmEventId=b.id;d=Bb(k,b);Ab&&(d=Ab.rg(d,k))}catch(z){b.Be&&b.Be(z,Number(f)),d=!1}c[f]=!1;return d;case "map":d={};for(var l=1;l<a.length;l+=2)d[Eb(a[l],b,c)]=Eb(a[l+1],b,c);return d;case "template":d=
[];for(var p=!1,n=1;n<a.length;n++){var r=Eb(a[n],b,c);zb&&(p=p||r===zb.Qb);d.push(r)}return zb&&p?zb.vg(d):d.join("");case "escape":d=Eb(a[1],b,c);if(zb&&xa(a[1])&&"macro"===a[1][0]&&zb.Wg(a))return zb.ph(d);d=String(d);for(var t=2;t<a.length;t++)Ua[a[t]]&&(d=Ua[a[t]](d));return d;case "tag":var q=a[1];if(!vb[q])throw Error("Unable to resolve tag reference "+q+".");return d={me:a[2],index:q};case "zb":var u={arg0:a[2],arg1:a[3],ignore_case:a[5]};u["function"]=a[1];var v=Hb(u,b,c),w=!!a[4];return w||
2!==v?w!==(1===v):null;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},Hb=function(a,b,c){try{return yb(Fb(a,b,c))}catch(d){JSON.stringify(a)}return 2};var Ib=function(){var a=function(b){return{toString:function(){return b}}};return{Hd:a("convert_case_to"),Id:a("convert_false_to"),Jd:a("convert_null_to"),Kd:a("convert_true_to"),Ld:a("convert_undefined_to"),Mh:a("debug_mode_metadata"),Oa:a("function"),pf:a("instance_name"),tf:a("live_only"),vf:a("malware_disabled"),wf:a("metadata"),Oh:a("original_vendor_template_id"),Af:a("once_per_event"),Od:a("once_per_load"),Sd:a("setup_tags"),Td:a("tag_id"),Ud:a("teardown_tags")}}();var Jb=null,Mb=function(a){function b(r){for(var t=0;t<r.length;t++)d[r[t]]=!0}var c=[],d=[];Jb=Kb(a);for(var e=0;e<tb.length;e++){var f=tb[e],h=Lb(f);if(h){for(var k=f.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(f.block||[])}else null===h&&b(f.block||[])}for(var p=[],n=0;n<vb.length;n++)c[n]&&!d[n]&&(p[n]=!0);return p},Lb=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=Jb(b[c]);if(0===d)return!1;if(2===d)return null}for(var e=a.unless||[],f=0;f<e.length;f++){var h=Jb(e[f]);if(2===h)return null;
if(1===h)return!1}return!0},Kb=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=Hb(ub[c],a));return b[c]}};var Nb={rg:function(a,b){b[Ib.Hd]&&"string"===typeof a&&(a=1==b[Ib.Hd]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty(Ib.Jd)&&null===a&&(a=b[Ib.Jd]);b.hasOwnProperty(Ib.Ld)&&void 0===a&&(a=b[Ib.Ld]);b.hasOwnProperty(Ib.Kd)&&!0===a&&(a=b[Ib.Kd]);b.hasOwnProperty(Ib.Id)&&!1===a&&(a=b[Ib.Id]);return a}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */
var E={eb:"_ee",Sc:"_syn",Rh:"_uei",Ph:"_pci",Cc:"event_callback",Pb:"event_timeout",ja:"gtag.config"};E.ca="allow_ad_personalization_signals";E.Oc="restricted_data_processing";E.kb="allow_google_signals";E.da="cookie_expires";E.zc="cookie_update";E.yb="session_duration";E.na="user_properties";E.Ea="transport_url";E.P="ads_data_redaction";E.m="ad_storage";
E.J="analytics_storage";E.bf="region";E.df="wait_for_update";
E.Te=[E.ca,E.kb,E.zc];E.Ve=[E.da,E.Pb,E.yb];var lc={},mc=function(a,b){lc[a]=lc[a]||[];lc[a][b]=!0},nc=function(a){for(var b=[],c=lc[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var oc=function(a){mc("GTM",a)};var pc=function(a){if(Error.captureStackTrace)Error.captureStackTrace(this,pc);else{var b=Error().stack;b&&(this.stack=b)}a&&(this.message=String(a))};qa(pc,Error);pc.prototype.name="CustomError";var qc=function(a,b){for(var c=a.split("%s"),d="",e=c.length-1,f=0;f<e;f++)d+=c[f]+(f<b.length?b[f]:"%s");pc.call(this,d+c[e])};qa(qc,pc);qc.prototype.name="AssertionError";var rc=function(a,b){throw new qc("Failure"+(a?": "+a:""),Array.prototype.slice.call(arguments,1));};var sc=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d};var tc;var uc=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var vc;a:{var wc=ma.navigator;if(wc){var xc=wc.userAgent;if(xc){vc=xc;break a}}vc=""}var yc=function(a){return-1!=vc.indexOf(a)};var Ac=function(a,b,c){this.h=c===zc?a:""};Ac.prototype.toString=function(){return"SafeHtml{"+this.h+"}"};var Bc=function(a){if(a instanceof Ac&&a.constructor===Ac)return a.h;var b=typeof a;rc("expected object of type SafeHtml, got '"+a+"' of type "+("object"!=b?b:a?Array.isArray(a)?"array":b:"null"));return"type_error:SafeHtml"},zc={},Cc=new Ac(ma.trustedTypes&&ma.trustedTypes.emptyHTML||"",0,zc);var Dc={MATH:!0,SCRIPT:!0,STYLE:!0,SVG:!0,TEMPLATE:!0},Ec=function(a){var b=!1,c;return function(){b||(c=a(),b=!0);return c}}(function(){if("undefined"===typeof document)return!1;var a=document.createElement("div"),b=document.createElement("div");b.appendChild(document.createElement("div"));a.appendChild(b);if(!a.firstChild)return!1;var c=a.firstChild.firstChild;a.innerHTML=Bc(Cc);return!c.parentElement}),Fc=function(a,b){if(Dc[a.tagName.toUpperCase()])throw Error("goog.dom.safe.setInnerHtml cannot be used to set content of "+
a.tagName+".");if(Ec())for(;a.lastChild;)a.removeChild(a.lastChild);a.innerHTML=Bc(b)};var Gc=function(a){var b;if(void 0===tc){var c=null,d=ma.trustedTypes;if(d&&d.createPolicy){try{c=d.createPolicy("goog#html",{createHTML:sa,createScript:sa,createScriptURL:sa})}catch(f){ma.console&&ma.console.error(f.message)}tc=c}else tc=c}var e=(b=tc)?b.createHTML(a):a;return new Ac(e,null,zc)};var F=window,H=document,Ic=navigator,Jc=H.currentScript&&H.currentScript.src,Kc=function(a,b){var c=F[a];F[a]=void 0===c?b:c;return F[a]},Lc=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},Mc=function(a,b,c){var d=H.createElement("script");d.type="text/javascript";d.async=!0;d.src=a;Lc(d,b);c&&(d.onerror=c);var e;if(null===pa)b:{var f=ma.document,h=f.querySelector&&f.querySelector("script[nonce]");
if(h){var k=h.nonce||h.getAttribute("nonce");if(k&&na.test(k)){pa=k;break b}}pa=""}e=pa;e&&d.setAttribute("nonce",e);var l=H.getElementsByTagName("script")[0]||H.body||H.head;l.parentNode.insertBefore(d,l);return d},Nc=function(){if(Jc){var a=Jc.toLowerCase();if(0===a.indexOf("https://"))return 2;if(0===a.indexOf("http://"))return 3}return 1},Oc=function(a,b){var c=H.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=H.body&&H.body.lastChild||
H.body||H.head;d.parentNode.insertBefore(c,d);Lc(c,b);void 0!==a&&(c.src=a);return c},Pc=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},Qc=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&&a.attachEvent("on"+b,c)},Rc=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},I=function(a){F.setTimeout(a,0)},Sc=function(a,b){return a&&
b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},Tc=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},Uc=function(a){var b=H.createElement("div");Fc(b,Gc("A<div>"+a+"</div>"));b=b.lastChild;for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},Vc=function(a,b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var f=a,h=0;f&&h<=c;h++){if(d[String(f.tagName).toLowerCase()])return f;
f=f.parentElement}return null},Wc=function(a){Ic.sendBeacon&&Ic.sendBeacon(a)||Pc(a)},Xc=function(a,b){var c=a[b];c&&"string"===typeof c.animVal&&(c=c.animVal);return c};var Yc={},Zc=function(a){return void 0==Yc[a]?!1:Yc[a]};var $c=[];function ad(){var a=Kc("google_tag_data",{});a.ics||(a.ics={entries:{},set:bd,update:cd,addListener:dd,notifyListeners:ed,active:!1});return a.ics}
function bd(a,b,c,d,e,f){var h=ad();h.active=!0;if(void 0!=b){var k=h.entries,l=k[a]||{},p=l.region,n=c&&g(c)?c.toUpperCase():void 0;d=d.toUpperCase();e=e.toUpperCase();if(n===e||(n===d?p!==e:!n&&!p)){var r=!!(f&&0<f&&void 0===l.update),t={region:n,initial:"granted"===b,update:l.update,quiet:r};k[a]=t;r&&F.setTimeout(function(){k[a]===t&&t.quiet&&(t.quiet=!1,fd(a),ed(),mc("TAGGING",2))},f)}}}
function cd(a,b){var c=ad();c.active=!0;if(void 0!=b){var d=gd(a),e=c.entries,f=e[a]=e[a]||{};f.update="granted"===b;var h=gd(a);f.quiet?(f.quiet=!1,fd(a)):h!==d&&fd(a)}}function dd(a,b){$c.push({fe:a,Fg:b})}function fd(a){for(var b=0;b<$c.length;++b){var c=$c[b];xa(c.fe)&&-1!==c.fe.indexOf(a)&&(c.Je=!0)}}function ed(){for(var a=0;a<$c.length;++a){var b=$c[a];if(b.Je){b.Je=!1;try{b.Fg.call()}catch(c){}}}}
var gd=function(a){var b=ad().entries[a]||{};return void 0!==b.update?b.update:void 0!==b.initial?b.initial:void 0},hd=function(a){return!(ad().entries[a]||{}).quiet},id=function(){return Zc("gtag_cs_api")?ad().active:!1},jd=function(a,b){ad().addListener(a,b)},kd=function(a,b){function c(){for(var e=0;e<b.length;e++)if(!hd(b[e]))return!0;return!1}if(c()){var d=!1;jd(b,function(){d||c()||(d=!0,a())})}else a()},ld=function(a,b){if(!1===gd(b)){var c=!1;jd([b],function(){!c&&gd(b)&&(a(),c=!0)})}};var md=[E.m,E.J],nd=function(a){var b=a[E.bf];b&&oc(40);var c=a[E.df];c&&oc(41);for(var d=xa(b)?b:[b],e=0;e<d.length;++e)for(var f=0;f<md.length;f++){var h=md[f],k=a[md[f]],l=d[e];ad().set(h,k,l,"FR","FR-NOR",c)}},od=function(a){for(var b=0;b<md.length;b++){var c=md[b],d=a[md[b]];ad().update(c,d)}ad().notifyListeners()},pd=function(a){var b=gd(a);return void 0!=b?b:!0},qd=function(){for(var a=[],b=0;b<md.length;b++){var c=gd(md[b]);a[b]=!0===c?"1":!1===c?"0":"-"}return"G1"+
a.join("")},rd=function(a,b){kd(a,b)};var td=function(a){return sd?H.querySelectorAll(a):null},ud=function(a,b){if(!sd)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!H.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},yd=!1;if(H.querySelectorAll)try{var zd=H.querySelectorAll(":root");zd&&1==zd.length&&zd[0]==H.documentElement&&(yd=!0)}catch(a){}var sd=yd;var Nd={},K=null,Od=Math.random();Nd.C="GTM-W6DD7HV";Nd.Ub="8j2";Nd.Nh="";var Pd={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,__fal:!0,__fil:!0,__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0,__paused:!0,__tg:!0},Qd="www.googletagmanager.com/gtm.js";
var Rd=Qd,Sd=null,Td=null,Ud="//www.googletagmanager.com/a?id="+Nd.C+"&cv=14",Vd={},Wd={},Xd=function(){var a=K.sequence||1;K.sequence=a+1;return a};
var Yd=function(){return"&tc="+vb.filter(function(a){return a}).length},ae=function(){Zd||(Zd=F.setTimeout($d,500))},$d=function(){Zd&&(F.clearTimeout(Zd),Zd=void 0);void 0===be||ce[be]&&!de&&!ee||(fe[be]||ge.Yg()||0>=he--?(oc(1),fe[be]=!0):(ge.wh(),Pc(ie()),ce[be]=!0,je=ke=ee=de=""))},ie=function(){var a=be;if(void 0===a)return"";var b=nc("GTM"),c=nc("TAGGING");return[le,ce[a]?"":"&es=1",me[a],b?"&u="+b:"",c?"&ut="+c:"",Yd(),de,ee,ke,je,"&z=0"].join("")},ne=function(){return[Ud,"&v=3&t=t","&pid="+
za(),"&rv="+Nd.Ub].join("")},oe="0.005000">Math.random(),le=ne(),pe=function(){le=ne()},ce={},de="",ee="",je="",ke="",be=void 0,me={},fe={},Zd=void 0,ge=function(a,b){var c=0,d=0;return{Yg:function(){if(c<a)return!1;Ha()-d>=b&&(c=0);return c>=a},wh:function(){Ha()-d>=b&&(c=0);c++;d=Ha()}}}(2,1E3),he=1E3,qe=function(a,b){if(oe&&!fe[a]&&be!==a){$d();be=a;je=de="";var c;c=0===b.indexOf("gtm.")?encodeURIComponent(b):"*";me[a]="&e="+c+"&eid="+a;ae()}},re=function(a,b,c){if(oe&&!fe[a]&&
b){a!==be&&($d(),be=a);var d,e=String(b[Ib.Oa]||"").replace(/_/g,"");0===e.indexOf("cvt")&&(e="cvt");d=e;var f=c+d;de=de?de+"."+f:"&tr="+f;var h=b["function"];if(!h)throw Error("Error: No function name given for function call.");var k=(xb[h]?"1":"2")+d;je=je?je+"."+k:"&ti="+k;ae();2022<=ie().length&&$d()}},se=function(a,b,c){if(oe&&!fe[a]){a!==be&&($d(),be=a);var d=c+b;ee=ee?ee+
"."+d:"&epr="+d;ae();2022<=ie().length&&$d()}};var te={},ue=new Aa,ve={},we={},ze={name:"dataLayer",set:function(a,b){D(Na(a,b),ve);xe()},get:function(a){return ye(a,2)},reset:function(){ue=new Aa;ve={};xe()}},ye=function(a,b){if(2!=b){var c=ue.get(a);oe&&c!==Ae(a.split("."))&&oc(5);return c}return Ae(a.split("."))},Ae=function(a){for(var b=ve,c=0;c<a.length;c++){if(null===b)return!1;if(void 0===b)break;b=b[a[c]]}return b},Be=function(a,b){we.hasOwnProperty(a)||(ue.set(a,b),D(Na(a,b),ve),xe())},xe=function(a){Ca(we,function(b,c){ue.set(b,
c);D(Na(b,void 0),ve);D(Na(b,c),ve);a&&delete we[b]})},Ce=function(a,b,c){te[a]=te[a]||{};var d=1!==c?Ae(b.split(".")):ue.get(b);"array"===Qa(d)||"object"===Qa(d)?te[a][b]=D(d):te[a][b]=d},Ee=function(a,b){if(te[a])return te[a][b]},Fe=function(a,b){te[a]&&delete te[a][b]};var Ie=/:[0-9]+$/,Je=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var f=d[e].split("=");if(decodeURIComponent(f[0]).replace(/\+/g," ")===b){var h=f.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},Me=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=Ke(a.protocol)||Ke(F.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:F.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||F.location.hostname).replace(Ie,"").toLowerCase());return Le(a,b,c,d,e)},Le=function(a,b,c,d,e){var f,h=Ke(a.protocol);b&&(b=String(b).toLowerCase());switch(b){case "url_no_fragment":f=Ne(a);break;case "protocol":f=h;break;case "host":f=a.hostname.replace(Ie,"").toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;case "port":f=String(Number(a.port)||("http"==h?80:"https"==h?443:""));break;case "path":a.pathname||a.hostname||mc("TAGGING",
1);f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=m(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=Je(f,e,void 0));break;case "extension":var p=a.pathname.split(".");f=1<p.length?p[p.length-1]:"";f=f.split("/")[0];break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},Ke=function(a){return a?a.replace(":","").toLowerCase():""},Ne=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");
b=0>c?a.href:a.href.substr(0,c)}return b},Oe=function(a){var b=H.createElement("a");a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(a||mc("TAGGING",1),c="/"+c);var d=b.hostname.replace(Ie,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}},Pe=function(a){function b(p){var n=p.split("=")[0];return 0>d.indexOf(n)?p:n+"=0"}function c(p){return p.split("&").map(b).filter(function(n){return void 0!=n}).join("&")}var d="gclid dclid gclaw gcldc gclgp gclha gclgf _gl".split(" "),
e=Oe(a),f=a.split(/[?#]/)[0],h=e.search,k=e.hash;"?"===h[0]&&(h=h.substring(1));"#"===k[0]&&(k=k.substring(1));h=c(h);k=c(k);""!==h&&(h="?"+h);""!==k&&(k="#"+k);var l=""+f+h+k;"/"===l[l.length-1]&&(l=l.substring(0,l.length-1));return l};function Qe(a,b,c){for(var d=[],e=b.split(";"),f=0;f<e.length;f++){var h=e[f].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d};var Se=function(a,b,c,d){return Re(d)?Qe(a,String(b||document.cookie),c):[]},Ve=function(a,b,c,d,e){if(Re(e)){var f=Te(a,d,e);if(1===f.length)return f[0].id;if(0!==f.length){f=Ue(f,function(h){return h.Zb},b);if(1===f.length)return f[0].id;f=Ue(f,function(h){return h.Eb},c);return f[0]?f[0].id:void 0}}};function We(a,b,c,d){var e=document.cookie;document.cookie=a;var f=document.cookie;return e!=f||void 0!=c&&0<=Se(b,f,!1,d).indexOf(c)}
var $e=function(a,b,c){function d(q,u,v){if(null==v)return delete h[u],q;h[u]=v;return q+"; "+u+"="+v}function e(q,u){if(null==u)return delete h[u],q;h[u]=!0;return q+"; "+u}if(!Re(c.Ia))return 2;var f;void 0==b?f=a+"=deleted; expires="+(new Date(0)).toUTCString():(c.encode&&(b=encodeURIComponent(b)),b=Xe(b),f=a+"="+b);var h={};f=d(f,"path",c.path);var k;c.expires instanceof Date?k=c.expires.toUTCString():null!=c.expires&&(k=""+c.expires);f=d(f,"expires",k);f=d(f,"max-age",c.ai);f=d(f,"samesite",
c.fi);c.gi&&(f=e(f,"secure"));var l=c.domain;if("auto"===l){for(var p=Ye(),n=0;n<p.length;++n){var r="none"!==p[n]?p[n]:void 0,t=d(f,"domain",r);t=e(t,c.flags);if(!Ze(r,c.path)&&We(t,a,b,c.Ia))return 0}return 1}l&&"none"!==l&&(f=d(f,"domain",l));f=e(f,c.flags);return Ze(l,c.path)?1:We(f,a,b,c.Ia)?0:1},af=function(a,b,c){null==c.path&&(c.path="/");c.domain||(c.domain="auto");return $e(a,b,c)};
function Ue(a,b,c){for(var d=[],e=[],f,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===f||l<f?(e=[k],f=l):l===f&&e.push(k)}return 0<d.length?d:e}function Te(a,b,c){for(var d=[],e=Se(a,void 0,void 0,c),f=0;f<e.length;f++){var h=e[f].split("."),k=h.shift();if(!b||-1!==b.indexOf(k)){var l=h.shift();l&&(l=l.split("-"),d.push({id:h.join("."),Zb:1*l[0]||1,Eb:1*l[1]||1}))}}return d}
var Xe=function(a){a&&1200<a.length&&(a=a.substring(0,1200));return a},bf=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,cf=/(^|\.)doubleclick\.net$/i,Ze=function(a,b){return cf.test(document.location.hostname)||"/"===b&&bf.test(a)},Ye=function(){var a=[],b=document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));var e=document.location.hostname;cf.test(e)||bf.test(e)||a.push("none");
return a},Re=function(a){if(!Zc("gtag_cs_api")||!a||!id())return!0;if(!hd(a))return!1;var b=gd(a);return null==b?!0:!!b};var df=function(){for(var a=Ic.userAgent+(H.cookie||"")+(H.referrer||""),b=a.length,c=F.history.length;0<c;)a+=c--^b++;var d=1,e,f,h;if(a)for(d=0,f=a.length-1;0<=f;f--)h=a.charCodeAt(f),d=(d<<6&268435455)+h+(h<<14),e=d&266338304,d=0!=e?d^e>>21:d;return[Math.round(2147483647*Math.random())^d&2147483647,Math.round(Ha()/1E3)].join(".")},gf=function(a,b,c,d,e){var f=ef(b);return Ve(a,f,ff(c),d,e)},hf=function(a,b,c,d){var e=""+ef(c),f=ff(d);1<f&&(e+="-"+f);return[b,e,a].join(".")},ef=function(a){if(!a)return 1;
a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},ff=function(a){if(!a||"/"===a)return 1;"/"!==a[0]&&(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function jf(a,b,c){var d,e=a.Ab;null==e&&(e=7776E3);0!==e&&(d=new Date((b||Ha())+1E3*e));return{path:a.path,domain:a.domain,flags:a.flags,encode:!!c,expires:d}};var kf=["1"],lf={},pf=function(a){var b=mf(a.prefix);lf[b]||nf(b,a.path,a.domain)||(of(b,df(),a),nf(b,a.path,a.domain))};function of(a,b,c){var d=hf(b,"1",c.domain,c.path),e=jf(c);e.Ia="ad_storage";af(a,d,e)}function nf(a,b,c){var d=gf(a,b,c,kf,"ad_storage");d&&(lf[a]=d);return d}function mf(a){return(a||"_gcl")+"_au"};function qf(){for(var a=rf,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function sf(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var rf,tf;function uf(a){rf=rf||sf();tf=tf||qf();for(var b=[],c=0;c<a.length;c+=3){var d=c+1<a.length,e=c+2<a.length,f=a.charCodeAt(c),h=d?a.charCodeAt(c+1):0,k=e?a.charCodeAt(c+2):0,l=f>>2,p=(f&3)<<4|h>>4,n=(h&15)<<2|k>>6,r=k&63;e||(r=64,d||(n=64));b.push(rf[l],rf[p],rf[n],rf[r])}return b.join("")}
function vf(a){function b(l){for(;d<a.length;){var p=a.charAt(d++),n=tf[p];if(null!=n)return n;if(!/^[\s\xa0]*$/.test(p))throw Error("Unknown base64 encoding at char: "+p);}return l}rf=rf||sf();tf=tf||qf();for(var c="",d=0;;){var e=b(-1),f=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|f>>4);64!=h&&(c+=String.fromCharCode(f<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var wf;var Af=function(){var a=xf,b=yf,c=zf(),d=function(h){a(h.target||h.srcElement||{})},e=function(h){b(h.target||h.srcElement||{})};if(!c.init){Qc(H,"mousedown",d);Qc(H,"keyup",d);Qc(H,"submit",e);var f=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);f.call(this)};c.init=!0}},Bf=function(a,b,c,d,e){var f={callback:a,domains:b,fragment:2===c,placement:c,forms:d,sameHost:e};zf().decorators.push(f)},Cf=function(a,b,c){for(var d=zf().decorators,e={},f=0;f<d.length;++f){var h=
d[f],k;if(k=!c||h.forms)a:{var l=h.domains,p=a,n=!!h.sameHost;if(l&&(n||p!==H.location.hostname))for(var r=0;r<l.length;r++)if(l[r]instanceof RegExp){if(l[r].test(p)){k=!0;break a}}else if(0<=p.indexOf(l[r])||n&&0<=l[r].indexOf(p)){k=!0;break a}k=!1}if(k){var t=h.placement;void 0==t&&(t=h.fragment?2:1);t===b&&Ka(e,h.callback())}}return e},zf=function(){var a=Kc("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var Df=/(.*?)\*(.*?)\*(.*)/,Ef=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,Ff=/^(?:www\.|m\.|amp\.)+/,Gf=/([^?#]+)(\?[^#]*)?(#.*)?/;function Hf(a){return new RegExp("(.*?)(^|&)"+a+"=([^&]*)&?(.*)")}
var Jf=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()&&(b.push(c),b.push(uf(String(d))))}var e=b.join("*");return["1",If(e),e].join("*")},If=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=wf)){for(var e=Array(256),f=0;256>f;f++){for(var h=f,k=0;8>k;k++)h=
h&1?h>>>1^3988292384:h>>>1;e[f]=h}d=e}wf=d;for(var l=4294967295,p=0;p<c.length;p++)l=l>>>8^wf[(l^c.charCodeAt(p))&255];return((l^-1)>>>0).toString(36)},Lf=function(){return function(a){var b=Oe(F.location.href),c=b.search.replace("?",""),d=Je(c,"_gl",!0)||"";a.query=Kf(d)||{};var e=Me(b,"fragment").match(Hf("_gl"));a.fragment=Kf(e&&e[3]||"")||{}}},Mf=function(a){var b=Lf(),c=zf();c.data||(c.data={query:{},fragment:{}},b(c.data));var d={},e=c.data;e&&(Ka(d,e.query),a&&Ka(d,e.fragment));return d},Kf=
function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var f=Df.exec(d);if(f){c=f;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var p=h[2],n=0;n<b;++n)if(p===If(k,n)){l=!0;break a}l=!1}if(l){for(var r={},t=k?k.split("*"):[],q=0;q<t.length;q+=2)r[t[q]]=vf(t[q+1]);return r}}}}catch(u){}};
function Nf(a,b,c,d){function e(n){var r=n,t=Hf(a).exec(r),q=r;if(t){var u=t[2],v=t[4];q=t[1];v&&(q=q+u+v)}n=q;var w=n.charAt(n.length-1);n&&"&"!==w&&(n+="&");return n+p}d=void 0===d?!1:d;var f=Gf.exec(c);if(!f)return"";var h=f[1],k=f[2]||"",l=f[3]||"",p=a+"="+b;d?l="#"+e(l.substring(1)):k="?"+e(k.substring(1));return""+h+k+l}
function Of(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=Cf(b,1,c),e=Cf(b,2,c),f=Cf(b,3,c);if(La(d)){var h=Jf(d);c?Pf("_gl",h,a):Qf("_gl",h,a,!1)}if(!c&&La(e)){var k=Jf(e);Qf("_gl",k,a,!0)}for(var l in f)if(f.hasOwnProperty(l))a:{var p=l,n=f[l],r=a;if(r.tagName){if("a"===r.tagName.toLowerCase()){Qf(p,n,r,void 0);break a}if("form"===r.tagName.toLowerCase()){Pf(p,n,r);break a}}"string"==typeof r&&Nf(p,n,r,void 0)}}
function Qf(a,b,c,d){if(c.href){var e=Nf(a,b,c.href,void 0===d?!1:d);uc.test(e)&&(c.href=e)}}
function Pf(a,b,c){if(c&&c.action){var d=(c.method||"").toLowerCase();if("get"===d){for(var e=c.childNodes||[],f=!1,h=0;h<e.length;h++){var k=e[h];if(k.name===a){k.setAttribute("value",b);f=!0;break}}if(!f){var l=H.createElement("input");l.setAttribute("type","hidden");l.setAttribute("name",a);l.setAttribute("value",b);c.appendChild(l)}}else if("post"===d){var p=Nf(a,b,c.action);uc.test(p)&&(c.action=p)}}}
var xf=function(a){try{var b;a:{for(var c=a,d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var f=e.protocol;"http:"!==f&&"https:"!==f||Of(e,e.hostname)}}catch(h){}},yf=function(a){try{if(a.action){var b=Me(Oe(a.action),"host");Of(a,b)}}catch(c){}},Rf=function(a,b,c,d){Af();Bf(a,b,"fragment"===c?2:1,!!d,!1)},Sf=function(a,b){Af();Bf(a,[Le(F.location,"host",!0)],b,!0,!0)},Tf=function(){var a=H.location.hostname,b=Ef.exec(H.referrer);if(!b)return!1;
var c=b[2],d=b[1],e="";if(c){var f=c.split("/"),h=f[1];e="s"===h?decodeURIComponent(f[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}var k=a.replace(Ff,""),l=e.replace(Ff,""),p;if(!(p=k===l)){var n="."+l;p=k.substring(k.length-n.length,k.length)===n}return p},Uf=function(a,b){return!1===a?!1:a||b||Tf()};var Vf=/^\w+$/,Wf=/^[\w-]+$/,Xf=/^~?[\w-]+$/,Yf={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha",gp:"_gp"},Zf=function(){if(!Zc("gtag_cs_api")||!id())return!0;var a=gd("ad_storage");return null==a?!0:!!a},$f=function(a,b){hd("ad_storage")?Zf()?a():ld(a,"ad_storage"):b?mc("TAGGING",3):kd(function(){$f(a,!0)},["ad_storage"])},cg=function(a){var b=[];if(!H.cookie)return b;var c=Se(a,H.cookie,void 0,"ad_storage");if(!c||0==c.length)return b;for(var d=0;d<c.length;d++){var e=ag(c[d]);e&&-1===m(b,e)&&b.push(e)}return bg(b)};
function dg(a){return a&&"string"==typeof a&&a.match(Vf)?a:"_gcl"}
var fg=function(){var a=Oe(F.location.href),b=Me(a,"query",!1,void 0,"gclid"),c=Me(a,"query",!1,void 0,"gclsrc"),d=Me(a,"query",!1,void 0,"dclid");if(!b||!c){var e=a.hash.replace("#","");b=b||Je(e,"gclid",void 0);c=c||Je(e,"gclsrc",void 0)}return eg(b,c,d)},eg=function(a,b,c){var d={},e=function(f,h){d[h]||(d[h]=[]);d[h].push(f)};d.gclid=a;d.gclsrc=b;d.dclid=c;if(void 0!==a&&a.match(Wf))switch(b){case void 0:e(a,"aw");break;case "aw.ds":e(a,"aw");e(a,"dc");break;case "ds":e(a,"dc");break;case "3p.ds":Zc("gtm_3pds")&&
e(a,"dc");break;case "gf":e(a,"gf");break;case "ha":e(a,"ha");break;case "gp":e(a,"gp")}c&&e(c,"dc");return d},hg=function(a){var b=fg();$f(function(){return gg(b,a)})};
function gg(a,b,c){function d(p,n){var r=ig(p,e);r&&(af(r,n,f),h=!0)}b=b||{};var e=dg(b.prefix);c=c||Ha();var f=jf(b,c,!0);f.Ia="ad_storage";var h=!1,k=Math.round(c/1E3),l=function(p){return["GCL",k,p].join(".")};a.aw&&(!0===b.ki?d("aw",l("~"+a.aw[0])):d("aw",l(a.aw[0])));a.dc&&d("dc",l(a.dc[0]));a.gf&&d("gf",l(a.gf[0]));a.ha&&d("ha",l(a.ha[0]));a.gp&&d("gp",l(a.gp[0]));return h}
var kg=function(a,b){var c=Mf(!0);$f(function(){for(var d=dg(b.prefix),e=0;e<a.length;++e){var f=a[e];if(void 0!==Yf[f]){var h=ig(f,d),k=c[h];if(k){var l=Math.min(jg(k),Ha()),p;b:{for(var n=l,r=Se(h,H.cookie,void 0,"ad_storage"),t=0;t<r.length;++t)if(jg(r[t])>n){p=!0;break b}p=!1}if(!p){var q=jf(b,l,!0);q.Ia="ad_storage";af(h,k,q)}}}}gg(eg(c.gclid,c.gclsrc),b)})},ig=function(a,b){var c=Yf[a];if(void 0!==c)return b+c},jg=function(a){var b=a.split(".");return 3!==b.length||"GCL"!==b[0]?0:1E3*(Number(b[1])||
0)};function ag(a){var b=a.split(".");if(3==b.length&&"GCL"==b[0]&&b[1])return b[2]}
var lg=function(a,b,c,d,e){if(xa(b)){var f=dg(e),h=function(){for(var k={},l=0;l<a.length;++l){var p=ig(a[l],f);if(p){var n=Se(p,H.cookie,void 0,"ad_storage");n.length&&(k[p]=n.sort()[n.length-1])}}return k};$f(function(){Rf(h,b,c,d)})}},bg=function(a){return a.filter(function(b){return Xf.test(b)})},mg=function(a,b){for(var c=dg(b.prefix),d={},e=0;e<a.length;e++)Yf[a[e]]&&(d[a[e]]=Yf[a[e]]);$f(function(){Ca(d,function(f,h){var k=Se(c+h,H.cookie,void 0,"ad_storage");if(k.length){var l=k[0],p=jg(l),
n={};n[f]=[ag(l)];gg(n,b,p)}})})};function ng(a,b){for(var c=0;c<b.length;++c)if(a[b[c]])return!0;return!1}
var og=function(){function a(e,f,h){h&&(e[f]=h)}var b=["aw","dc"];if(id()){var c=fg();if(ng(c,b)){var d={};a(d,"gclid",c.gclid);a(d,"dclid",c.dclid);a(d,"gclsrc",c.gclsrc);Sf(function(){return d},3);Sf(function(){var e={};return e._up="1",e},1)}}},pg=function(){var a;if(Zf()){for(var b=[],c=H.cookie.split(";"),d=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({Ad:f[1],value:f[2]})}var h={};if(b&&b.length)for(var k=0;k<b.length;k++){var l=b[k].value.split(".");
"1"==l[0]&&3==l.length&&l[1]&&(h[b[k].Ad]||(h[b[k].Ad]=[]),h[b[k].Ad].push({timestamp:l[1],Hg:l[2]}))}a=h}else a={};return a};var qg=/^\d+\.fls\.doubleclick\.net$/;function rg(a,b){hd(E.m)?pd(E.m)?a():ld(a,E.m):b?oc(42):rd(function(){rg(a,!0)},[E.m])}function sg(a){var b=Oe(F.location.href),c=Me(b,"host",!1);if(c&&c.match(qg)){var d=Me(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function tg(a,b,c){if("aw"==a||"dc"==a){var d=sg("gcl"+a);if(d)return d.split(".")}var e=dg(b);if("_gcl"==e){c=void 0===c?!0:c;var f=!pd(E.m)&&c,h;h=fg()[a]||[];if(0<h.length)return f?["0"]:h}var k=ig(a,e);return k?cg(k):[]}
var ug=function(a){var b=sg("gac");if(b)return!pd(E.m)&&a?"0":decodeURIComponent(b);var c=pg(),d=[];Ca(c,function(e,f){for(var h=[],k=0;k<f.length;k++)h.push(f[k].Hg);h=bg(h);h.length&&d.push(e+":"+h.join(","))});return d.join(";")},vg=function(a,b){var c=fg().dc||[];rg(function(){pf(b);var d=lf[mf(b.prefix)],e=!1;if(d&&0<c.length){var f=K.joined_au=K.joined_au||{},h=b.prefix||"_gcl";if(!f[h])for(var k=0;k<c.length;k++){var l="https://adservice.google.com/ddm/regclk";l=l+"?gclid="+c[k]+"&auiddc="+d;Wc(l);e=f[h]=
!0}}null==a&&(a=e);if(a&&d){var p=mf(b.prefix),n=lf[p];n&&of(p,n,b)}})};var wg=/[A-Z]+/,xg=/\s/,yg=function(a){if(g(a)&&(a=Ga(a),!xg.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(wg.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],B:d}}}}},Ag=function(a){for(var b={},c=0;c<a.length;++c){var d=yg(a[c]);d&&(b[d.id]=d)}zg(b);var e=[];Ca(b,function(f,h){e.push(h)});return e};
function zg(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.B[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var Bg=function(){var a=!1;return a};var Q=function(a,b,c,d){return(2===Cg()||d||"http:"!=F.location.protocol?a:b)+c},Cg=function(){var a=Nc(),b;if(1===a)a:{var c=Rd;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,f=1,h=H.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===f&&0===l.indexOf(d)&&(f=2)}}b=f}else b=a;return b};
var Rg=function(a){return pd(E.m)?a:a.replace(/&url=([^&#]+)/,function(b,c){var d=Pe(decodeURIComponent(c));return"&url="+encodeURIComponent(d)})};var Sg=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),Tg={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},Ug={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},Vg="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var Xg=function(a){var b;b||(b=ye("gtm.whitelist"));b&&oc(9);
var c=b&&Ma(Fa(b),Tg),d;d||(d=ye("gtm.blacklist"));d||(d=ye("tagTypeBlacklist"))&&oc(3);d?oc(8):d=[];Wg()&&(d=Fa(d),d.push("nonGooglePixels","nonGoogleScripts","sandboxedScripts"));0<=m(Fa(d),"google")&&oc(2);var e=d&&Ma(Fa(d),Ug),f={};return function(h){var k=
h&&h[Ib.Oa];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==f[k])return f[k];var l=Wd[k]||[],p=a(k,l);if(b){var n;if(n=p)a:{if(0>m(c,k))if(l&&0<l.length)for(var r=0;r<l.length;r++){if(0>m(c,l[r])){oc(11);n=!1;break a}}else{n=!1;break a}n=!0}p=n}var t=!1;if(d){var q=0<=m(e,k);if(q)t=q;else{var u=Ba(e,l||[]);u&&oc(10);t=u}}var v=!p||t;v||!(0<=m(l,"sandboxedScripts"))||c&&-1!==m(c,"sandboxedScripts")||(v=Ba(e,Vg));return f[k]=v}},Wg=function(){return Sg.test(F.location&&F.location.hostname)};var Yg={active:!0,isAllowed:function(){return!0}},Zg=function(a){var b=K.zones;!b&&a&&(b=K.zones=a());return b};var $g=function(){};var ah=!1,bh=0,ch=[];function dh(a){if(!ah){var b=H.createEventObject,c="complete"==H.readyState,d="interactive"==H.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){ah=!0;for(var e=0;e<ch.length;e++)I(ch[e])}ch.push=function(){for(var f=0;f<arguments.length;f++)I(arguments[f]);return 0}}}function eh(){if(!ah&&140>bh){bh++;try{H.documentElement.doScroll("left"),dh()}catch(a){F.setTimeout(eh,50)}}}var fh=function(a){ah?a():ch.push(a)};var gh={},hh={},ih=function(a,b,c,d){if(!hh[a]||Pd[b]||"__zone"===b)return-1;var e={};Sa(d)&&(e=D(d,e));e.id=c;e.status="timeout";return hh[a].tags.push(e)-1},jh=function(a,b,c,d){if(hh[a]){var e=hh[a].tags[b];e&&(e.status=c,e.executionTime=d)}};function kh(a){for(var b=gh[a]||[],c=0;c<b.length;c++)b[c]();gh[a]={push:function(d){d(Nd.C,hh[a])}}}
var nh=function(a,b,c){hh[a]={tags:[]};va(b)&&lh(a,b);c&&F.setTimeout(function(){return kh(a)},Number(c));return mh(a)},lh=function(a,b){gh[a]=gh[a]||[];gh[a].push(Ja(function(){return I(function(){b(Nd.C,hh[a])})}))};function mh(a){var b=0,c=0,d=!1;return{add:function(){c++;return Ja(function(){b++;d&&b>=c&&kh(a)})},cg:function(){d=!0;b>=c&&kh(a)}}};var oh=function(){function a(d){return!wa(d)||0>d?0:d}if(!K._li&&F.performance&&F.performance.timing){var b=F.performance.timing.navigationStart,c=wa(ze.get("gtm.start"))?ze.get("gtm.start"):0;K._li={cst:a(c-b),cbt:a(Td-b)}}};var sh={},th=function(){return F.GoogleAnalyticsObject&&F[F.GoogleAnalyticsObject]},uh=!1;
var vh=function(a){F.GoogleAnalyticsObject||(F.GoogleAnalyticsObject=a||"ga");var b=F.GoogleAnalyticsObject;if(F[b])F.hasOwnProperty(b)||oc(12);else{var c=function(){c.q=c.q||[];c.q.push(arguments)};c.l=Number(new Date);F[b]=c}oh();return F[b]},wh=function(a,b,c,d){b=String(b).replace(/\s+/g,"").split(",");var e=th();e(a+"require","linker");e(a+"linker:autoLink",b,c,d)};
var yh=function(a){},xh=function(){return F.GoogleAnalyticsObject||"ga"},zh=function(a,b){return function(){var c=th(),d=c&&c.getByName&&c.getByName(a);if(d){var e=d.get("sendHitTask");d.set("sendHitTask",function(f){var h=f.get("hitPayload"),k=f.get("hitCallback"),l=0>h.indexOf("&tid="+b);l&&(f.set("hitPayload",h.replace(/&tid=UA-[0-9]+-[0-9]+/,"&tid="+
b),!0),f.set("hitCallback",void 0,!0));e(f);l&&(f.set("hitPayload",h,!0),f.set("hitCallback",k,!0),f.set("_x_19",void 0,!0),e(f))})}}};function Eh(a,b,c,d){var e=vb[a],f=Fh(a,b,c,d);if(!f)return null;var h=Eb(e[Ib.Sd],c,[]);if(h&&h.length){var k=h[0];f=Eh(k.index,{F:f,D:1===k.me?b.terminate:f,terminate:b.terminate},c,d)}return f}
function Fh(a,b,c,d){function e(){if(f[Ib.vf])k();else{var w=Fb(f,c,[]),z=ih(c.id,String(f[Ib.Oa]),Number(f[Ib.Td]),w[Ib.wf]),x=!1;w.vtp_gtmOnSuccess=function(){if(!x){x=!0;var y=Ha()-A;re(c.id,vb[a],"5");jh(c.id,z,"success",y);h()}};w.vtp_gtmOnFailure=function(){if(!x){x=!0;var y=Ha()-A;re(c.id,vb[a],"6");jh(c.id,z,"failure",y);k()}};w.vtp_gtmTagId=f.tag_id;
w.vtp_gtmEventId=c.id;re(c.id,f,"1");var B=function(){var y=Ha()-A;re(c.id,f,"7");jh(c.id,z,"exception",y);x||(x=!0,k())};var A=Ha();try{Bb(w,c)}catch(y){B(y)}}}var f=vb[a],h=b.F,k=b.D,l=b.terminate;if(c.fd(f))return null;var p=Eb(f[Ib.Ud],c,[]);if(p&&p.length){var n=p[0],r=Eh(n.index,{F:h,D:k,terminate:l},c,d);if(!r)return null;h=r;k=2===n.me?l:r}if(f[Ib.Od]||f[Ib.Af]){var t=f[Ib.Od]?wb:c.Eh,q=h,u=k;if(!t[a]){e=Ja(e);var v=Gh(a,t,e);h=v.F;k=v.D}return function(){t[a](q,u)}}return e}
function Gh(a,b,c){var d=[],e=[];b[a]=Hh(d,e,c);return{F:function(){b[a]=Ih;for(var f=0;f<d.length;f++)d[f]()},D:function(){b[a]=Jh;for(var f=0;f<e.length;f++)e[f]()}}}function Hh(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function Ih(a){a()}function Jh(a,b){b()};var Mh=function(a,b){for(var c=[],d=0;d<vb.length;d++)if(a.Cb[d]){var e=vb[d];var f=b.add();try{var h=Eh(d,{F:f,D:f,terminate:f},a,d);h?c.push({Se:d,Ke:Gb(e),Cg:h}):(Kh(d,a),f())}catch(l){f()}}b.cg();c.sort(Lh);for(var k=0;k<c.length;k++)c[k].Cg();return 0<c.length};function Lh(a,b){var c,d=b.Ke,e=a.Ke;c=d>e?1:d<e?-1:0;var f;if(0!==c)f=c;else{var h=a.Se,k=b.Se;f=h>k?1:h<k?-1:0}return f}
function Kh(a,b){if(!oe)return;var c=function(d){var e=b.fd(vb[d])?"3":"4",f=Eb(vb[d][Ib.Sd],b,[]);f&&f.length&&c(f[0].index);re(b.id,vb[d],e);var h=Eb(vb[d][Ib.Ud],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var Nh=!1,Oh=function(a,b,c,d,e){if("gtm.js"==b){if(Nh)return!1;Nh=!0}qe(a,b);var f=nh(a,d,e);Ce(a,"event",1);Ce(a,"ecommerce",1);Ce(a,"gtm");var h={id:a,name:b,fd:Xg(c),Cb:[],Eh:[],Be:function(){oc(6)}};h.Cb=Mb(h);
var k=Mh(h,f);"gtm.js"!==b&&"gtm.sync"!==b||yh(Nd.C);if(!k)return k;for(var l=0;l<h.Cb.length;l++)if(h.Cb[l]){var p=vb[l];if(p&&!Pd[String(p[Ib.Oa])])return!0}return!1};function Ph(a,b){if(a){var c=""+a;0!==c.indexOf("http://")&&0!==c.indexOf("https://")&&(c="https://"+c);"/"===c[c.length-1]&&(c=c.substring(0,c.length-1));return Oe(""+c+b).href}}function Qh(a,b){return Rh()?Ph(a,b):void 0}function Rh(){var a=!1;return a};var Sh=function(){this.eventModel={};this.targetConfig={};this.containerConfig={};this.h={};this.globalConfig={};this.F=function(){};this.D=function(){};this.eventId=void 0},Th=function(a){var b=new Sh;b.eventModel=a;return b},Uh=function(a,b){a.targetConfig=b;return a},Vh=function(a,b){a.containerConfig=b;return a},Wh=function(a,b){a.h=b;return a},Xh=function(a,b){a.globalConfig=b;return a},Yh=function(a,b){a.F=b;return a},Zh=function(a,b){a.D=b;return a};
Sh.prototype.getWithConfig=function(a){if(void 0!==this.eventModel[a])return this.eventModel[a];if(void 0!==this.targetConfig[a])return this.targetConfig[a];if(void 0!==this.containerConfig[a])return this.containerConfig[a];if(void 0!==this.h[a])return this.h[a];if(void 0!==this.globalConfig[a])return this.globalConfig[a]};
var $h=function(a){function b(e){Ca(e,function(f){c[f]=null})}var c={};b(a.eventModel);b(a.targetConfig);b(a.containerConfig);b(a.globalConfig);var d=[];Ca(c,function(e){d.push(e)});return d};var ai;if(3===Nd.Ub.length)ai="g";else{var bi="G";ai=bi}
var ci={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:ai,OPT:"o"},di=function(a){var b=Nd.C.split("-"),c=b[0].toUpperCase(),d=ci[c]||"i",e=a&&"GTM"===c?b[1]:"OPT"===c?b[1]:"",f;if(3===Nd.Ub.length){var h="w";f="2"+h}else f="";return f+d+Nd.Ub+e};var ei=function(a,b){a.addEventListener&&a.addEventListener("message",b,!1)};var fi=function(){return yc("iPhone")&&!yc("iPod")&&!yc("iPad")};yc("Opera");yc("Trident")||yc("MSIE");yc("Edge");!yc("Gecko")||-1!=vc.toLowerCase().indexOf("webkit")&&!yc("Edge")||yc("Trident")||yc("MSIE")||yc("Edge");-1!=vc.toLowerCase().indexOf("webkit")&&!yc("Edge")&&yc("Mobile");yc("Macintosh");yc("Windows");yc("Linux")||yc("CrOS");var gi=ma.navigator||null;gi&&(gi.appVersion||"").indexOf("X11");yc("Android");fi();yc("iPad");yc("iPod");fi()||yc("iPad")||yc("iPod");vc.toLowerCase().indexOf("kaios");var hi=function(a,b){for(var c=a,d=0;50>d;++d){var e;try{e=!(!c.frames||!c.frames[b])}catch(k){e=!1}if(e)return c;var f;a:{try{var h=c.parent;if(h&&h!=c){f=h;break a}}catch(k){}f=null}if(!(c=f))break}return null};var ii=function(){};var ji=function(a){return void 0!==a.tcString&&"string"!==typeof a.tcString||void 0!==a.gdprApplies&&"boolean"!==typeof a.gdprApplies||void 0!==a.listenerId&&"number"!==typeof a.listenerId||void 0!==a.addtlConsent&&"string"!==typeof a.addtlConsent?2:a.cmpStatus&&"error"!==a.cmpStatus?0:3},ki=function(a,b){this.i=a;this.h=null;this.H={};this.fa=0;this.la=void 0===b?500:b;this.o=null};ka(ki,ii);
var mi=function(a){return"function"===typeof a.i.__tcfapi||null!=li(a)},pi=function(a,b){var c=setTimeout(function(){c=0;b({tcString:"tcunavailable",internalErrorState:1})},a.la);ni(a,"addEventListener",function(d){d&&oi(d)&&(d.internalErrorState=ji(d),0!=d.internalErrorState&&(d.tcString="tcunavailable"),ni(a,"removeEventListener",null,d.listenerId),c&&(clearTimeout(c),c=0,b(d)))})};
ki.prototype.addEventListener=function(a){ni(this,"addEventListener",function(b,c){var d=c?b:{};d.internalErrorState=ji(d);0!==d.internalErrorState&&(d.tcString="tcunavailable");a(d)})};ki.prototype.removeEventListener=function(a){a&&a.listenerId&&ni(this,"removeEventListener",null,a.listenerId)};
var ri=function(a,b){if(!a.purpose||!a.vendor)return!1;var c=qi(a.vendor.consents,"755");return c&&"1"===b&&a.purposeOneTreatment&&"DE"===a.publisherCC?!0:c&&qi(a.purpose.consents,b)},qi=function(a,b){return!(!a||!a[b])},ni=function(a,b,c,d){c||(c=function(){});if("function"===typeof a.i.__tcfapi){var e=a.i.__tcfapi;e(b,2,c,d)}else if(li(a)){si(a);var f=++a.fa;a.H[f]=c;if(a.h){var h={};a.h.postMessage((h.__tcfapiCall={command:b,version:2,callId:f,parameter:d},h),"*")}}else c({},!1)},li=function(a){if(a.h)return a.h;
a.h=hi(a.i,"__tcfapiLocator");return a.h},si=function(a){a.o||(a.o=function(b){try{var c,d;"string"===typeof b.data?d=JSON.parse(b.data):d=b.data;c=d.__tcfapiReturn;a.H[c.callId](c.returnValue,c.success)}catch(e){}},ei(a.i,a.o))},oi=function(a){return!1===a.gdprApplies||"error"===a.cmpStatus||"loaded"===a.cmpStatus&&("tcloaded"===a.eventStatus||"useractioncomplete"===a.eventStatus)?!0:!1};var ti={1:1,3:1,7:3,9:3,10:3};function ui(a,b){if(""===a)return b;var c=Number(a);return isNaN(c)?b:c}var vi=ui("",550),wi=ui("",500);function xi(){var a=K.tcf||{};return K.tcf=a}
var yi=function(){var a=xi();if(!a.active){a.active=!0;var b=new ki(F,3E3),c="x";"function"===typeof F.__tcfapi?c="s":mi(b)?c="i":"function"===typeof F.__cmp?c="c":hi(F,"__cmpLocator")&&(c="d");a.Ae=Ha();try{var d=!1;pi(b,function(){d=!0;a.kd=Ha()});d&&(a.kd=a.Ae)}catch(e){c="e"}a.type=c}},Ei=function(){if(zi()?!0===F.gtag_enable_tcf_support:!1!==F.gtag_enable_tcf_support){var a=xi();if(!a.active||!a.Ha){var b=new ki(F,3E3);if("function"===typeof F.__tcfapi||mi(b)){a.active=!0;a.type="p";a.Ha={};
Ai();var c=setTimeout(function(){Bi(a);Ci(a);c=null},wi);try{b.addEventListener(function(d){c&&(clearTimeout(c),c=null);if(0!==d.internalErrorState)Bi(a),Ci(a);else{var e;if(!1===d.gdprApplies)e=Di(),b.removeEventListener(d);else if("tcloaded"===d.eventStatus||"useractioncomplete"===d.eventStatus||"cmpuishown"===d.eventStatus){var f={},h;for(h in ti)if(ti.hasOwnProperty(h))if("1"===h)f["1"]=oi(d)?!1===d.gdprApplies||"tcunavailable"===d.tcString?!0:ri(d,"1"):!1;else{var k=d.purpose&&d.vendor?qi(d.purpose.legitimateInterests,
h)&&qi(d.vendor.legitimateInterests,"755"):!1,l=ri(d,h),p=ti[h];1===p?f[h]=l:2===p?f[h]=k:3===p&&(f[h]=l||k)}e=f}e&&(a.tcString=d.tcString||"tcempty",a.Ha=e,Ci(a))}})}catch(d){c&&(clearTimeout(c),c=null),Bi(a),Ci(a)}}}}};function Bi(a){a.type="e";a.tcString="tcunavailable";a.Ha=Di()}function Ai(){var a={};nd((a.ad_storage="denied",a.wait_for_update=vi,a))}var zi=function(){var a=!1;a=!0;return a};
function Di(){var a={},b;for(b in ti)ti.hasOwnProperty(b)&&(a[b]=!0);return a}function Ci(a){var b={};od((b.ad_storage=a.Ha["1"]?"granted":"denied",b))}var Fi=function(){var a=xi();if(a.active&&void 0!==a.kd)return Number(a.kd-a.Ae)},Gi=function(){var a=xi();return a.active&&a.Ha?a.tcString||"":""},Hi=function(a){if(!ti.hasOwnProperty(String(a)))return!0;var b=xi();return b.active&&b.Ha?!!b.Ha[String(a)]:!0};function Ii(a,b,c){function d(r){var t;K.reported_gclid||(K.reported_gclid={});t=K.reported_gclid;var q=f+(r?"gcu":"gcs");if(!t[q]){t[q]=!0;var u=[],v=function(A,y){y&&u.push(A+"="+encodeURIComponent(y))},w="https://www.google.com";if(id()){var z=pd(E.m);v("gcs",qd());r&&v("gcu","1");v("rnd",n);if((!f||h&&"aw.ds"!==h)&&pd(E.m)){var x=cg("_gcl_aw");v("gclaw",x.join("."))}v("url",String(F.location).split(/[?#]/)[0]);v("dclid",Ji(b,k));!z&&b&&(w="https://pagead2.googlesyndication.com")}
v("gdpr_consent",Gi());"1"===Mf(!1)._up&&v("gtm_up","1");v("gclid",Ji(b,f));v("gclsrc",h);v("gtm",di(!c));var B=w+"/pagead/landing?"+u.join("&");Wc(B)}}var e=fg(),f=e.gclid||"",h=e.gclsrc,k=e.dclid||"",l=!a&&(!f||h&&"aw.ds"!==h?!1:!0),p=id();if(l||p){var n=""+df();p?rd(function(){d();pd(E.m)||ld(function(){return d(!0)},E.m)},[E.m]):d()}}function Ji(a,b){var c=a&&!pd(E.m);return b&&c?"0":b}var uj=function(){var a=!0;Hi(7)&&Hi(9)&&Hi(10)||(a=!1);var b=!0;b&&!Hi(3)&&(a=!1);return a},vj=function(){var a=!0;Hi(3)||(a=!1);return a};function Pj(){var a=K;return a.gcq=a.gcq||new Qj}
var Rj=function(a,b,c){Pj().register(a,b,c)},Sj=function(a,b,c,d){Pj().push("event",[b,a],c,d)},Tj=function(a,b){Pj().push("config",[a],b)},Uj=function(a,b,c){Pj().push("get",[a,b],c)},Vj={},Wj=function(){this.status=1;this.containerConfig={};this.targetConfig={};this.i={};this.o=null;this.h=!1},Xj=function(a,b,c,d,e){this.type=a;this.o=b;this.ba=c||"";this.h=d;this.i=e},Qj=function(){this.o={};this.i={};this.h=[]},Yj=function(a,b){var c=yg(b);return a.o[c.containerId]=a.o[c.containerId]||new Wj},
Zj=function(a,b,c){if(b){var d=yg(b);if(d&&1===Yj(a,b).status){Yj(a,b).status=2;var e={};oe&&(e.timeoutId=F.setTimeout(function(){oc(38);ae()},3E3));a.push("require",[e],d.containerId);Vj[d.containerId]=Ha();if(Bg()){}else{var h="/gtag/js?id="+encodeURIComponent(d.containerId)+"&l=dataLayer&cx=c",k=("http:"!=F.location.protocol?"https:":"http:")+("//www.googletagmanager.com"+h),l=Qh(c,h)||k;Mc(l)}}}},ak=function(a,b,c,d){if(d.ba){var e=Yj(a,d.ba),f=e.o;if(f){var h=D(c),k=D(e.targetConfig[d.ba]),l=D(e.containerConfig),p=D(e.i),n=D(a.i),r=ye("gtm.uniqueEventId"),t=yg(d.ba).prefix,q=Zh(Yh(Xh(Wh(Vh(Uh(Th(h),k),l),p),n),function(){
se(r,t,"2");}),function(){se(r,t,"3");});try{se(r,t,"1");f(d.ba,b,d.o,q)}catch(u){se(r,t,"4");}}}};
Qj.prototype.register=function(a,b,c){if(3!==Yj(this,a).status){Yj(this,a).o=b;Yj(this,a).status=3;c&&(Yj(this,a).i=c);var d=yg(a),e=Vj[d.containerId];if(void 0!==e){var f=K[d.containerId].bootstrap,h=d.prefix.toUpperCase();K[d.containerId]._spx&&(h=h.toLowerCase());var k=ye("gtm.uniqueEventId"),l=h,p=Ha()-f;if(oe&&!fe[k]){k!==be&&($d(),be=k);var n=l+"."+Math.floor(f-e)+"."+Math.floor(p);ke=ke?ke+","+n:"&cl="+n}delete Vj[d.containerId]}this.flush()}};
Qj.prototype.push=function(a,b,c,d){var e=Math.floor(Ha()/1E3);Zj(this,c,b[0][E.Ea]||this.i[E.Ea]);this.h.push(new Xj(a,e,c,b,d));d||this.flush()};
Qj.prototype.flush=function(a){for(var b=this;this.h.length;){var c=this.h[0];if(c.i)c.i=!1,this.h.push(c);else switch(c.type){case "require":if(3!==Yj(this,c.ba).status&&!a)return;oe&&F.clearTimeout(c.h[0].timeoutId);break;case "set":Ca(c.h[0],function(n,r){D(Na(n,r),b.i)});break;case "config":var d=c.h[0],e=!!d[E.Ob];delete d[E.Ob];var f=Yj(this,c.ba),h=yg(c.ba),k=h.containerId===h.id;e||(k?f.containerConfig={}:f.targetConfig[c.ba]={});f.h&&e||ak(this,E.ja,d,c);f.h=!0;delete d[E.eb];k?D(d,f.containerConfig):
D(d,f.targetConfig[c.ba]);break;case "event":ak(this,c.h[1],c.h[0],c);break;case "get":}this.h.shift()}};var bk=!1,ck=[];function dk(){if(!bk){bk=!0;for(var a=0;a<ck.length;a++)I(ck[a])}}var ek=function(a){bk?I(a):ck.push(a)};var fk="HA GF GP G UA AW DC".split(" "),gk=!1,hk={},ik=!1;function jk(a,b){var c={event:a};b&&(c.eventModel=D(b),b[E.Cc]&&(c.eventCallback=b[E.Cc]),b[E.Pb]&&(c.eventTimeout=b[E.Pb]));return c}function kk(){return gk}
var nk={config:function(a){},event:function(a){var b=a[1];if(g(b)&&!(3<a.length)){var c;if(2<a.length){if(!Sa(a[2])&&
void 0!=a[2])return;c=a[2]}var d=jk(b,c);return d}},js:function(a){if(2==a.length&&a[1].getTime)return ik=!0,kk(),{event:"gtm.js","gtm.start":a[1].getTime()}},policy:function(){},set:function(a){var b;2==a.length&&Sa(a[1])?b=D(a[1]):3==a.length&&g(a[1])&&(b={},Sa(a[2])||xa(a[2])?b[a[1]]=D(a[2]):b[a[1]]=a[2]);if(b){
b._clear=!0;return b}},consent:function(a){if(3===a.length){var b=function(){kk()&&D(a[2],{subcommand:a[1]})};oc(39);var c=a[1];"default"===c?(b(),nd(a[2])):"update"===c&&(b(),od(a[2]))}}};var ok={policy:!0};var pk=function(a,b){var c=a.hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}},rk=function(a){var b=qk(),c=b&&b.hide;c&&c.end&&(c[a]=!0)};var Jk=function(a){if(Ik(a))return a;this.h=a};Jk.prototype.Mg=function(){return this.h};var Ik=function(a){return!a||"object"!==Qa(a)||Sa(a)?!1:"getUntrustedUpdateValue"in a};Jk.prototype.getUntrustedUpdateValue=Jk.prototype.Mg;var Kk=[],Lk=!1,Mk=function(a){return F["dataLayer"].push(a)},Nk=function(a){var b=K["dataLayer"],c=b?b.subscribers:1,d=0;return function(){++d===c&&a()}};
function Ok(a){var b=a._clear;Ca(a,function(f,h){"_clear"!==f&&(b&&Be(f,void 0),Be(f,h))});Sd||(Sd=a["gtm.start"]);var c=a.event,d=a["gtm.uniqueEventId"];if(!c)return!1;d||(d=Xd(),a["gtm.uniqueEventId"]=d,Be("gtm.uniqueEventId",d));var e=Pk(a);switch(c){case "gtm.init":oc(19),e&&oc(20)}return e}
function Pk(a){var b=a.event,c=a["gtm.uniqueEventId"],d,e=K.zones;d=e?e.checkState(Nd.C,c):Yg;return d.active?Oh(c,b,d.isAllowed,a.eventCallback,a.eventTimeout)?!0:!1:!1}
function Qk(){for(var a=!1;!Lk&&0<Kk.length;){Lk=!0;delete ve.eventModel;xe();var b=Kk.shift();if(null!=b){var c=Ik(b);if(c){var d=b;b=Ik(d)?d.getUntrustedUpdateValue():void 0;for(var e=["gtm.allowlist","gtm.blocklist","gtm.whitelist","gtm.blacklist","tagTypeBlacklist"],f=0;f<e.length;f++){var h=e[f],k=ye(h,1);if(xa(k)||Sa(k))k=D(k);we[h]=k}}try{if(va(b))try{b.call(ze)}catch(w){}else if(xa(b)){var l=
b;if(g(l[0])){var p=l[0].split("."),n=p.pop(),r=l.slice(1),t=ye(p.join("."),2);if(void 0!==t&&null!==t)try{t[n].apply(t,r)}catch(w){}}}else{var q=b;if(q&&("[object Arguments]"==Object.prototype.toString.call(q)||Object.prototype.hasOwnProperty.call(q,"callee"))){a:{var u=b;if(u.length&&g(u[0])){var v=nk[u[0]];if(v&&(!c||!ok[u[0]])){b=v(u);break a}}b=void 0}if(!b){Lk=!1;continue}}a=Ok(b)||a}}finally{c&&xe(!0)}}Lk=!1}
return!a}function Rk(){var a=Qk();try{pk(F["dataLayer"],Nd.C)}catch(b){}return a}
var Tk=function(){var a=Kc("dataLayer",[]),b=Kc("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};fh(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});ek(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||0)+1;var c=a.push;a.push=function(){var e;if(0<K.SANDBOXED_JS_SEMAPHORE){e=[];for(var f=0;f<arguments.length;f++)e[f]=new Jk(arguments[f])}else e=[].slice.call(arguments,0);var h=c.apply(a,e);Kk.push.apply(Kk,e);if(300<
this.length)for(oc(4);300<this.length;)this.shift();var k="boolean"!==typeof h||h;return Qk()&&k};var d=a.slice(0);Kk.push.apply(Kk,d);Sk()&&I(Rk)},Sk=function(){var a=!0;return a};var Uk={};Uk.Qb=new String("undefined");
var Vk=function(a){this.h=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===Uk.Qb?b:a[d]);return c.join("")}};Vk.prototype.toString=function(){return this.h("undefined")};Vk.prototype.valueOf=Vk.prototype.toString;Uk.Jf=Vk;Uk.Qc={};Uk.vg=function(a){return new Vk(a)};var Wk={};Uk.xh=function(a,b){var c=Xd();Wk[c]=[a,b];return c};Uk.he=function(a){var b=a?0:1;return function(c){var d=Wk[c];if(d&&"function"===typeof d[b])d[b]();Wk[c]=void 0}};Uk.Wg=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=
b||8===a[d],c=c||16===a[d];return b&&c};Uk.ph=function(a){if(a===Uk.Qb)return a;var b=Xd();Uk.Qc[b]=a;return'google_tag_manager["'+Nd.C+'"].macro('+b+")"};Uk.ih=function(a,b,c){a instanceof Uk.Jf&&(a=a.h(Uk.xh(b,c)),b=ua);return{dd:a,F:b}};var Xk=function(a,b,c){function d(f,h){var k=f[h];return k}var e={event:b,"gtm.element":a,"gtm.elementClasses":d(a,"className"),"gtm.elementId":a["for"]||Sc(a,"id")||"","gtm.elementTarget":a.formTarget||d(a,"target")||""};c&&(e["gtm.triggers"]=c.join(","));e["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||d(a,"href")||a.src||a.code||a.codebase||
"";return e},Yk=function(a){K.hasOwnProperty("autoEventsSettings")||(K.autoEventsSettings={});var b=K.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},Zk=function(a,b,c){Yk(a)[b]=c},$k=function(a,b,c,d){var e=Yk(a),f=Ia(e,b,d);e[b]=c(f)},al=function(a,b,c){var d=Yk(a);return Ia(d,b,c)};var bl=["input","select","textarea"],cl=["button","hidden","image","reset","submit"],dl=function(a){var b=a.tagName.toLowerCase();return!ya(bl,function(c){return c===b})||"input"===b&&ya(cl,function(c){return c===a.type.toLowerCase()})?!1:!0},el=function(a){return a.form?a.form.tagName?a.form:H.getElementById(a.form):Vc(a,["form"],100)},fl=function(a,b,c){if(!a.elements)return 0;for(var d=b.getAttribute(c),e=0,f=1;e<a.elements.length;e++){var h=a.elements[e];if(dl(h)){if(h.getAttribute(c)===d)return f;
f++}}return 0};var gl=!!F.MutationObserver,hl=void 0,il=function(a){if(!hl){var b=function(){var c=H.body;if(c)if(gl)(new MutationObserver(function(){for(var e=0;e<hl.length;e++)I(hl[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;Qc(c,"DOMNodeInserted",function(){d||(d=!0,I(function(){d=!1;for(var e=0;e<hl.length;e++)I(hl[e])}))})}};hl=[];H.body?b():I(b)}hl.push(a)};
var tl=function(){var a=H.body,b=H.documentElement||a&&a.parentElement,c,d;if(H.compatMode&&"BackCompat"!==H.compatMode)c=b?b.clientHeight:0,d=b?b.clientWidth:0;else{var e=function(f,h){return f&&h?Math.min(f,h):Math.max(f,h)};oc(7);c=e(b?b.clientHeight:0,a?a.clientHeight:0);d=e(b?b.clientWidth:0,a?a.clientWidth:0)}return{width:d,height:c}},ul=function(a){var b=tl(),c=b.height,d=b.width,e=a.getBoundingClientRect(),f=e.bottom-e.top,h=e.right-e.left;return f&&h?(1-Math.min((Math.max(0-e.left,0)+Math.max(e.right-
d,0))/h,1))*(1-Math.min((Math.max(0-e.top,0)+Math.max(e.bottom-c,0))/f,1)):0},vl=function(a){if(H.hidden)return!0;var b=a.getBoundingClientRect();if(b.top==b.bottom||b.left==b.right||!F.getComputedStyle)return!0;var c=F.getComputedStyle(a,null);if("hidden"===c.visibility)return!0;for(var d=a,e=c;d;){if("none"===e.display)return!0;var f=e.opacity,h=e.filter;if(h){var k=h.indexOf("opacity(");0<=k&&(h=h.substring(k+8,h.indexOf(")",k)),"%"==h.charAt(h.length-1)&&(h=h.substring(0,h.length-1)),f=Math.min(h,
f))}if(void 0!==f&&0>=f)return!0;(d=d.parentElement)&&(e=F.getComputedStyle(d,null))}return!1};var Dl=F.clearTimeout,El=F.setTimeout,V=function(a,b,c){if(Bg()){b&&I(b)}else return Mc(a,b,c)},Fl=function(){return new Date},Gl=function(){return F.location.href},Hl=function(a){return Me(Oe(a),"fragment")},Il=function(a){return Ne(Oe(a))},Jl=function(a,b){return ye(a,b||2)},Kl=function(a,b,c){var d;b?(a.eventCallback=b,c&&(a.eventTimeout=c),d=Mk(a)):d=Mk(a);return d},Ll=function(a,b){F[a]=b},W=function(a,b,c){b&&
(void 0===F[a]||c&&!F[a])&&(F[a]=b);return F[a]},Ml=function(a,b,c){return Se(a,b,void 0===c?!0:!!c)},Nl=function(a,b,c){return 0===af(a,b,c)},Ol=function(a,b){if(Bg()){b&&I(b)}else Oc(a,b)},Pl=function(a){return!!al(a,"init",!1)},Ql=function(a){Zk(a,"init",!0)},Rl=function(a,b){var c=(void 0===b?0:b)?"www.googletagmanager.com/gtag/js":Rd;c+="?id="+encodeURIComponent(a)+"&l=dataLayer";V(Q("https://","http://",c))},Sl=function(a,
b){var c=a[b];return c};var Tl=Uk.ih;function pm(a,b){a=String(a);b=String(b);var c=a.length-b.length;return 0<=c&&a.indexOf(b,c)==c}var qm=new Aa;function rm(a,b){function c(h){var k=Oe(h),l=Me(k,"protocol"),p=Me(k,"host",!0),n=Me(k,"port"),r=Me(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==n||"https"==l&&"443"==n)l="web",n="default";return[l,p,n,r]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0}
function sm(a){return tm(a)?1:0}
function tm(a){var b=a.arg0,c=a.arg1;if(a.any_of&&xa(c)){for(var d=0;d<c.length;d++)if(sm({"function":a["function"],arg0:b,arg1:c[d]}))return!0;return!1}switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var e;a:{if(b){var f=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var h=0;h<f.length;h++)if(b[f[h]]){e=b[f[h]](c);break a}}catch(t){}}e=!1}return e;case "_ew":return pm(b,c);case "_eq":return String(b)==String(c);
case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var k;k=String(b).split(",");return 0<=m(k,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var l;var p=a.ignore_case?"i":void 0;try{var n=String(c)+p,r=qm.get(n);r||(r=new RegExp(c,p),qm.set(n,r));l=r.test(b)}catch(t){l=!1}return l;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return rm(b,c)}return!1};var um={},vm=encodeURI,X=encodeURIComponent,wm=Pc;var xm=function(a,b){if(!a)return!1;var c=Me(Oe(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var ym=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null};um.Xg=function(){var a=!1;return a};function Yn(){return F.gaGlobal=F.gaGlobal||{}}var Zn=function(){var a=Yn();a.hid=a.hid||za();return a.hid},$n=function(a,b){var c=Yn();if(void 0==c.vid||b&&!c.from_cookie)c.vid=a,c.from_cookie=b};var jo=window,ko=document,lo=function(a){var b=jo._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===jo["ga-disable-"+a])return!0;try{var c=jo.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(f){}for(var d=Qe("AMP_TOKEN",String(ko.cookie),!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return ko.getElementById("__gaOptOutExtension")?!0:!1};
function oo(a){delete a.eventModel[E.eb];qo(a.eventModel)}var qo=function(a){Ca(a,function(c){"_"===c.charAt(0)&&delete a[c]});var b=a[E.na]||{};Ca(b,function(c){"_"===c.charAt(0)&&delete b[c]})};var to=function(a,b,c){Sj(b,c,a)},uo=function(a,b,c){Sj(b,c,a,!0)},wo=function(a,b){};
function vo(a,b){}var Z={a:{}};
Z.a.vis=["google"],function(){var a={};(function(b){Z.__vis=b;Z.__vis.b="vis";Z.__vis.g=!0;Z.__vis.priorityOverride=0})(function(b){var c,d=[];d.push("CSS"===b.vtp_selectorType?b.vtp_elementSelector:"#"+b.vtp_elementId);d.push(b.vtp_outputMethod);"BOOLEAN"==b.vtp_outputMethod&&d.push(b.vtp_onScreenRatio);c=d.join("&");var e=a[c],f=Number(Fl());if(e&&250>f-e.time)return e.value;e={time:f,value:null};var h=b.vtp_outputMethod,k=null;if("CSS"==b.vtp_selectorType){var l=td(b.vtp_elementSelector);l&&0<
l.length&&(k=l[0])}else k=H.getElementById(b.vtp_elementId);if(k)switch(h){case "BOOLEAN":var p=(Number(b.vtp_onScreenRatio)||50)/100;e.value=ul(k)>=p&&!vl(k);break;case "PERCENT":e.value=0,vl(k)||(e.value=Math.round(1E3*ul(k))/10)}a[c]=e;return e.value})}();


Z.a.d=["google"],function(){(function(a){Z.__d=a;Z.__d.b="d";Z.__d.g=!0;Z.__d.priorityOverride=0})(function(a){var b=null,c=null,d=a.vtp_attributeName;if("CSS"==a.vtp_selectorType){var e=td(a.vtp_elementSelector);e&&0<e.length&&(b=e[0])}else b=H.getElementById(a.vtp_elementId);b&&(d?c=Sc(b,d):c=Tc(b));return Ga(String(b&&c))})}();
Z.a.e=["google"],function(){(function(a){Z.__e=a;Z.__e.b="e";Z.__e.g=!0;Z.__e.priorityOverride=0})(function(a){return String(Ee(a.vtp_gtmEventId,"event"))})}();
Z.a.f=["google"],function(){(function(a){Z.__f=a;Z.__f.b="f";Z.__f.g=!0;Z.__f.priorityOverride=0})(function(a){var b=Jl("gtm.referrer",1)||H.referrer;return b?a.vtp_component&&"URL"!=a.vtp_component?Me(Oe(String(b)),a.vtp_component,a.vtp_stripWww,a.vtp_defaultPages,a.vtp_queryKey):Il(String(b)):String(b)})}();
Z.a.cl=["google"],function(){function a(b){var c=b.target;if(c){var d=Xk(c,"gtm.click");Kl(d)}}(function(b){Z.__cl=b;Z.__cl.b="cl";Z.__cl.g=!0;Z.__cl.priorityOverride=0})(function(b){if(!Pl("cl")){var c=W("document");Qc(c,"click",a,!0);Ql("cl")}I(b.vtp_gtmOnSuccess)})}();

Z.a.u=["google"],function(){var a=function(b){return{toString:function(){return b}}};(function(b){Z.__u=b;Z.__u.b="u";Z.__u.g=!0;Z.__u.priorityOverride=0})(function(b){var c;b.vtp_customUrlSource?c=b.vtp_customUrlSource:c=Jl("gtm.url",1);c=c||Gl();var d=b[a("vtp_component")];if(!d||"URL"==d)return Il(String(c));var e=Oe(String(c)),f;if("QUERY"===d)a:{var h=b[a("vtp_multiQueryKeys").toString()],k=b[a("vtp_queryKey").toString()]||"",l=b[a("vtp_ignoreEmptyQueryParam").toString()],p;h?xa(k)?p=k:p=String(k).replace(/\s+/g,
"").split(","):p=[String(k)];for(var n=0;n<p.length;n++){var r=Me(e,"QUERY",void 0,void 0,p[n]);if(void 0!=r&&(!l||""!==r)){f=r;break a}}f=void 0}else f=Me(e,d,"HOST"==d?b[a("vtp_stripWww")]:void 0,"PATH"==d?b[a("vtp_defaultPages")]:void 0,void 0);return f})}();
Z.a.v=["google"],function(){(function(a){Z.__v=a;Z.__v.b="v";Z.__v.g=!0;Z.__v.priorityOverride=0})(function(a){var b=a.vtp_name;if(!b||!b.replace)return!1;var c=Jl(b.replace(/\\\./g,"."),a.vtp_dataLayerVersion||1);return void 0!==c?c:a.vtp_defaultValue})}();
Z.a.ua=["google"],function(){function a(n,r){if(id()&&!d[n]){var t=function(){var q=th(),u="gtm"+Xd(),v=l(r),w={name:u};k(v,w,!0);q("create",n,w);q(function(){q.remove(u)})};ld(t,E.J);ld(t,E.m);d[n]=!0}}var b,c={},d={},e=function(n){rd(function(){p(n)},[E.J,E.m])},f={name:!0,clientId:!0,sampleRate:!0,siteSpeedSampleRate:!0,alwaysSendReferrer:!0,allowAnchor:!0,allowLinker:!0,cookieName:!0,cookieDomain:!0,cookieExpires:!0,cookiePath:!0,cookieUpdate:!0,cookieFlags:!0,legacyCookieDomain:!0,legacyHistoryImport:!0,
storage:!0,useAmpClientId:!0,storeGac:!0,_cd2l:!0},h={allowAnchor:!0,allowLinker:!0,alwaysSendReferrer:!0,anonymizeIp:!0,cookieUpdate:!0,exFatal:!0,forceSSL:!0,javaEnabled:!0,legacyHistoryImport:!0,nonInteraction:!0,useAmpClientId:!0,useBeacon:!0,storeGac:!0,allowAdFeatures:!0,allowAdPersonalizationSignals:!0,_cd2l:!0},k=function(n,r,t){var q=0;if(n)for(var u in n)if(n.hasOwnProperty(u)&&(t&&f[u]||!t&&void 0===f[u])){var v=h[u]?Ea(n[u]):n[u];"anonymizeIp"!=u||v||(v=void 0);r[u]=v;q++}return q},l=
function(n){var r={};n.vtp_gaSettings&&D(ym(n.vtp_gaSettings.vtp_fieldsToSet,"fieldName","value"),r);D(ym(n.vtp_fieldsToSet,"fieldName","value"),r);pd(E.J)||(r.storage="none");pd(E.m)||(r.allowAdFeatures=!1,r.storeGac=!1);uj()||(r.allowAdFeatures=!1);vj()||(r.allowAdPersonalizationSignals=!1);n.vtp_transportUrl&&(r._x_19=n.vtp_transportUrl);return r},p=function(n){function r(la,
S){void 0!==S&&C("set",la,S)}var t={},q={},u={},v={};if(n.vtp_gaSettings){var w=n.vtp_gaSettings;D(ym(w.vtp_contentGroup,"index","group"),q);D(ym(w.vtp_dimension,"index","dimension"),u);D(ym(w.vtp_metric,"index","metric"),v);var z=D(w);z.vtp_fieldsToSet=void 0;z.vtp_contentGroup=void 0;z.vtp_dimension=void 0;z.vtp_metric=void 0;n=D(n,z)}D(ym(n.vtp_contentGroup,"index","group"),q);D(ym(n.vtp_dimension,"index","dimension"),u);D(ym(n.vtp_metric,"index","metric"),v);var x=l(n),B=vh(n.vtp_functionName);
if(va(B)){var A="",y="";n.vtp_setTrackerName&&"string"==typeof n.vtp_trackerName?""!==n.vtp_trackerName&&(y=n.vtp_trackerName,A=y+"."):(y="gtm"+Xd(),A=y+".");var C=function(la){var S=[].slice.call(arguments,0);S[0]=A+S[0];B.apply(window,S)},G=function(la,S){return void 0===S?S:la(S)},L=function(la,S){if(S)for(var nb in S)S.hasOwnProperty(nb)&&C("set",la+nb,S[nb])},P=function(){},U={name:y};k(x,U,!0);var O=n.vtp_trackingId||t.trackingId;B("create",O,U);C("set","&gtm",di(!0));id()&&(C("set","&gcs",qd()),a(O,n));x._x_19&&(null==Jc&&delete x._x_19,x._x_20&&!c[y]&&(c[y]=!0,B(zh(y,String(x._x_20)))));n.vtp_enableRecaptcha&&
C("require","recaptcha","recaptcha.js");(function(la,S){void 0!==n[S]&&C("set",la,n[S])})("nonInteraction","vtp_nonInteraction");L("contentGroup",q);L("dimension",u);L("metric",v);var ta={};k(x,ta,!1)&&C("set",ta);var Y;n.vtp_enableLinkId&&C("require","linkid","linkid.js");C("set","hitCallback",function(){var la=x&&x.hitCallback;
va(la)&&la();n.vtp_gtmOnSuccess()});if("TRACK_EVENT"==n.vtp_trackType){n.vtp_enableEcommerce&&(C("require","ec","ec.js"),P());var N={hitType:"event",eventCategory:String(n.vtp_eventCategory||t.category),eventAction:String(n.vtp_eventAction||t.action),eventLabel:G(String,n.vtp_eventLabel||t.label),eventValue:G(Da,n.vtp_eventValue||t.value)};k(Y,N,!1);C("send",N);}else if("TRACK_SOCIAL"==
n.vtp_trackType){}else if("TRACK_TRANSACTION"==n.vtp_trackType){}else if("TRACK_TIMING"==n.vtp_trackType){}else if("DECORATE_LINK"==n.vtp_trackType){}else if("DECORATE_FORM"==n.vtp_trackType){}else if("TRACK_DATA"==n.vtp_trackType){}else{n.vtp_enableEcommerce&&(C("require","ec","ec.js"),P());if(n.vtp_doubleClick||"DISPLAY_FEATURES"==n.vtp_advertisingFeaturesType){var ja="_dc_gtm_"+String(n.vtp_trackingId).replace(/[^A-Za-z0-9-]/g,
"");C("require","displayfeatures",void 0,{cookieName:ja})}if("DISPLAY_FEATURES_WITH_REMARKETING_LISTS"==n.vtp_advertisingFeaturesType){var fc="_dc_gtm_"+String(n.vtp_trackingId).replace(/[^A-Za-z0-9-]/g,"");C("require","adfeatures",{cookieName:fc})}Y?C("send","pageview",Y):C("send","pageview");}if(!b){var Cb=
n.vtp_useDebugVersion?"u/analytics_debug.js":"analytics.js";n.vtp_useInternalVersion&&!n.vtp_useDebugVersion&&(Cb="internal/"+Cb);b=!0;var vd=Qh(x._x_19,"/analytics.js"),De=Q("https:","http:","//www.google-analytics.com/"+Cb,x&&!!x.forceSSL);V("analytics.js"===Cb&&vd?vd:De,function(){var la=th();la&&la.loaded||n.vtp_gtmOnFailure();},n.vtp_gtmOnFailure)}}else I(n.vtp_gtmOnFailure)};Z.__ua=e;Z.__ua.b="ua";Z.__ua.g=!0;Z.__ua.priorityOverride=0}();






Z.a.aev=["google"],function(){function a(q,u){var v=Ee(q,"gtm");if(v)return v[u]}function b(q,u,v,w){w||(w="element");var z=q+"."+u,x;if(n.hasOwnProperty(z))x=n[z];else{var B=a(q,w);if(B&&(x=v(B),n[z]=x,r.push(z),35<r.length)){var A=r.shift();delete n[A]}}return x}function c(q,u,v){var w=a(q,t[u]);return void 0!==w?w:v}function d(q,u){if(!q)return!1;var v=e(Gl());xa(u)||(u=String(u||"").replace(/\s+/g,"").split(","));for(var w=[v],z=0;z<u.length;z++)if(u[z]instanceof RegExp){if(u[z].test(q))return!1}else{var x=
u[z];if(0!=x.length){if(0<=e(q).indexOf(x))return!1;w.push(e(x))}}return!xm(q,w)}function e(q){p.test(q)||(q="http://"+q);return Me(Oe(q),"HOST",!0)}function f(q,u,v){switch(q){case "SUBMIT_TEXT":return b(u,"FORM."+q,h,"formSubmitElement")||v;case "LENGTH":var w=b(u,"FORM."+q,k);return void 0===w?v:w;case "INTERACTED_FIELD_ID":return l(u,"id",v);case "INTERACTED_FIELD_NAME":return l(u,"name",v);case "INTERACTED_FIELD_TYPE":return l(u,"type",v);case "INTERACTED_FIELD_POSITION":var z=a(u,"interactedFormFieldPosition");
return void 0===z?v:z;case "INTERACT_SEQUENCE_NUMBER":var x=a(u,"interactSequenceNumber");return void 0===x?v:x;default:return v}}function h(q){switch(q.tagName.toLowerCase()){case "input":return Sc(q,"value");case "button":return Tc(q);default:return null}}function k(q){if("form"===q.tagName.toLowerCase()&&q.elements){for(var u=0,v=0;v<q.elements.length;v++)dl(q.elements[v])&&u++;return u}}function l(q,u,v){var w=a(q,"interactedFormField");return w&&Sc(w,u)||v}var p=/^https?:\/\//i,n={},r=[],t={ATTRIBUTE:"elementAttribute",
CLASSES:"elementClasses",ELEMENT:"element",ID:"elementId",HISTORY_CHANGE_SOURCE:"historyChangeSource",HISTORY_NEW_STATE:"newHistoryState",HISTORY_NEW_URL_FRAGMENT:"newUrlFragment",HISTORY_OLD_STATE:"oldHistoryState",HISTORY_OLD_URL_FRAGMENT:"oldUrlFragment",TARGET:"elementTarget"};(function(q){Z.__aev=q;Z.__aev.b="aev";Z.__aev.g=!0;Z.__aev.priorityOverride=0})(function(q){var u=q.vtp_gtmEventId,v=q.vtp_defaultValue,w=q.vtp_varType;switch(w){case "TAG_NAME":var z=a(u,"element");return z&&z.tagName||
v;case "TEXT":return b(u,w,Tc)||v;case "URL":var x;a:{var B=String(a(u,"elementUrl")||v||""),A=Oe(B),y=String(q.vtp_component||"URL");switch(y){case "URL":x=B;break a;case "IS_OUTBOUND":x=d(B,q.vtp_affiliatedDomains);break a;default:x=Me(A,y,q.vtp_stripWww,q.vtp_defaultPages,q.vtp_queryKey)}}return x;case "ATTRIBUTE":var C;if(void 0===q.vtp_attribute)C=c(u,w,v);else{var G=q.vtp_attribute,L=a(u,"element");C=L&&Sc(L,G)||v||""}return C;case "MD":var P=q.vtp_mdValue,U=b(u,"MD",pl);return P&&U?sl(U,P)||
v:U||v;case "FORM":return f(String(q.vtp_component||"SUBMIT_TEXT"),u,v);default:return c(u,w,v)}})}();
Z.a.gas=["google"],function(){(function(a){Z.__gas=a;Z.__gas.b="gas";Z.__gas.g=!0;Z.__gas.priorityOverride=0})(function(a){var b=D(a),c=b;c[Ib.Oa]=null;c[Ib.pf]=null;var d=b=c;d.vtp_fieldsToSet=d.vtp_fieldsToSet||[];var e=d.vtp_cookieDomain;void 0!==e&&(d.vtp_fieldsToSet.push({fieldName:"cookieDomain",value:e}),delete d.vtp_cookieDomain);return b})}();
Z.a.smm=["google"],function(){(function(a){Z.__smm=a;Z.__smm.b="smm";Z.__smm.g=!0;Z.__smm.priorityOverride=0})(function(a){var b=a.vtp_input,c=ym(a.vtp_map,"key","value")||{};return c.hasOwnProperty(b)?c[b]:a.vtp_defaultValue})}();











Z.a.lcl=[],function(){function a(){var c=W("document"),d=0,e=function(f){var h=f.target;if(h&&3!==f.which&&!(f.Vg||f.timeStamp&&f.timeStamp===d)){d=f.timeStamp;h=Vc(h,["a","area"],100);if(!h)return f.returnValue;var k=f.defaultPrevented||!1===f.returnValue,l=al("lcl",k?"nv.mwt":"mwt",0),p;p=k?al("lcl","nv.ids",[]):al("lcl","ids",[]);if(p.length){var n=Xk(h,"gtm.linkClick",p);if(b(f,h,c)&&!k&&l&&h.href){var r=String(Sl(h,"rel")||""),t=!!ya(r.split(" "),function(v){return"noreferrer"===v.toLowerCase()});
t&&oc(36);var q=W((Sl(h,"target")||"_self").substring(1)),u=!0;if(Kl(n,Nk(function(){var v;if(v=u&&q){var w;a:if(t){var z;try{z=new MouseEvent(f.type)}catch(x){if(!c.createEvent){w=!1;break a}z=c.createEvent("MouseEvents");z.initEvent(f.type,!0,!0)}z.Vg=!0;f.target.dispatchEvent(z);w=!0}else w=!1;v=!w}v&&(q.location.href=Sl(h,"href"))}),l))u=!1;else return f.preventDefault&&f.preventDefault(),f.returnValue=!1}else Kl(n,function(){},l||2E3);return!0}}};Qc(c,"click",e,!1);Qc(c,"auxclick",e,!1)}function b(c,
d,e){if(2===c.which||c.ctrlKey||c.shiftKey||c.altKey||c.metaKey)return!1;var f=Sl(d,"href"),h=f.indexOf("#"),k=Sl(d,"target");if(k&&"_self"!==k&&"_parent"!==k&&"_top"!==k||0===h)return!1;if(0<h){var l=Il(f),p=Il(e.location);return l!==p}return!0}(function(c){Z.__lcl=c;Z.__lcl.b="lcl";Z.__lcl.g=!0;Z.__lcl.priorityOverride=0})(function(c){var d=void 0===c.vtp_waitForTags?!0:c.vtp_waitForTags,e=void 0===c.vtp_checkValidation?!0:c.vtp_checkValidation,f=Number(c.vtp_waitForTagsTimeout);if(!f||0>=f)f=2E3;
var h=c.vtp_uniqueTriggerId||"0";if(d){var k=function(p){return Math.max(f,p)};$k("lcl","mwt",k,0);e||$k("lcl","nv.mwt",k,0)}var l=function(p){p.push(h);return p};$k("lcl","ids",l,[]);e||$k("lcl","nv.ids",l,[]);Pl("lcl")||(a(),Ql("lcl"));I(c.vtp_gtmOnSuccess)})}();


var xo={};xo.macro=function(a){if(Uk.Qc.hasOwnProperty(a))return Uk.Qc[a]},xo.onHtmlSuccess=Uk.he(!0),xo.onHtmlFailure=Uk.he(!1);xo.dataLayer=ze;xo.callback=function(a){Vd.hasOwnProperty(a)&&va(Vd[a])&&Vd[a]();delete Vd[a]};function yo(){K[Nd.C]=xo;Ka(Wd,Z.a);zb=zb||Uk;Ab=Nb}
function zo(){Yc.gtm_3pds=!0;Yc.gtag_cs_api=!0;K=F.google_tag_manager=F.google_tag_manager||{};var a=!1;Ei(),a=!0;if(K[Nd.C]){var b=K.zones;b&&b.unregisterChild(Nd.C);}else{for(var c=data.resource||{},d=c.macros||[],e=0;e<d.length;e++)sb.push(d[e]);for(var f=c.tags||[],h=0;h<f.length;h++)vb.push(f[h]);for(var k=c.predicates||[],l=0;l<k.length;l++)ub.push(k[l]);for(var p=c.rules||[],n=0;n<p.length;n++){for(var r=p[n],t={},q=0;q<r.length;q++)t[r[q][0]]=Array.prototype.slice.call(r[q],1);tb.push(t)}xb=Z;yb=sm;yo();Tk();ah=!1;bh=0;if("interactive"==H.readyState&&!H.createEventObject||"complete"==H.readyState)dh();
else{Qc(H,"DOMContentLoaded",dh);Qc(H,"readystatechange",dh);if(H.createEventObject&&H.documentElement.doScroll){var u=!0;try{u=!F.frameElement}catch(x){}u&&eh()}Qc(F,"load",dh)}bk=!1;"complete"===H.readyState?dk():Qc(F,"load",dk);a:{if(!oe)break a;F.setInterval(pe,
864E5);}Td=(new Date).getTime();}}
(function(a){a()})(zo);

})()
